<?php
// ++=========================================================================++
// || vBadvanced CMPS v2.1.0 - Russian
// || © 2003-2006 vBadvanced.com & PlurPlanet, LLC - Все права защищены
// || Русский перевод: zCarot и Lazek.
// ++ ========================================================================++

error_reporting(E_ALL & ~E_NOTICE);
define('NO_REGISTER_GLOBALS', 1);

require_once('./global.php');
require_once('./includes/adminfunctions_template.php');
require_once('./includes/adminfunctions_language.php');
require_once('./includes/adminfunctions_vba_cmps.php');

$scriptname = 'CMPS';
$version = '2.1.0';
$scriptfile = 'vbacmps_install';

print_cp_header('Установка vBadvanced ' . $scriptname, '', '<style type="text/css">
<!--
.redalert
{
	background: #FF0000;
	color: #000000;
}
-->
</style>');

if (!is_object($db))
{
	echo 'По всей видимости вы пытаетесь установить версию vBadvanced ' . $scriptname . ' для форума vBulletin <b>3.5</b> на форум vBulletin <b>3.0</b>.<br />Пожалуйста, зайдите на <a href="http://www.vbadvanced.com/">vbadvanced.com</a> и скачайте версию для vBulletin <b>3.0</b>.';
	exit;
}

if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'installstart';
}

// ############################################################################
// Functions
// ############################################################################

// ##### Insert Template Function #############################################
function insert_template()
{
	global $db, $name, $content;

	$db->query_write("DELETE FROM " . TABLE_PREFIX . "template WHERE title = '$name' AND styleid = '-1'");

	$db->query_write("INSERT INTO " . TABLE_PREFIX . "template (templateid, title, template, template_un, styleid, templatetype, dateline, username, version, product) VALUES (NULL, '$name', '" . addslashes(compile_template($content)) . "', '" . addslashes($content) ."', '-1', 'template', '" . time() . "', 'vBadvanced', '3.5.3', 'adv_cmps')");

	return '<div class="smallfont">Создан шаблон - ' . $name . '</div>';
}

// ##### Delete Template Function #############################################
function kill_template()
{
	global $db, $name;

	$db->query_write("DELETE FROM " . TABLE_PREFIX . "template WHERE title = '$name'");

	return '<div class="smallfont">Шаблон удалён ' . $title . '</div>';
}

// ##### Insert Setting Function ##############################################
function insert_setting()
{
	global $db, $grouptitle, $varname, $setting;

	$checksetting = $db->query_first("SELECT varname FROM " . TABLE_PREFIX . "adv_setting WHERE varname = '$varname' AND grouptitle = '$grouptitle'");

	if (!$checksetting['varname'])
	{
		$db->query_write("INSERT INTO " . TABLE_PREFIX . "adv_setting (varname, grouptitle, value, defaultvalue, optioncode, displayorder) VALUES ('$varname', '$grouptitle', '" . addslashes($setting['value']) . "', '" . addslashes($setting['value']) . "', '" . addslashes($setting['optioncode']) . "', '$setting[displayorder]')");
	}

	$checkphrase = $db->query_first("SELECT varname FROM " . TABLE_PREFIX . "phrase WHERE varname = 'setting_" . $varname . "_title'");

	if (!$checkphrase['varname'])
	{
		$db->query_write("INSERT INTO " . TABLE_PREFIX . "phrase (languageid, varname, text, phrasetypeid) VALUES (0, 'setting_" . $varname . "_title', '" . addslashes($setting['title']) ."', 5000)");
		$db->query_write("INSERT INTO " . TABLE_PREFIX . "phrase (languageid, varname, text, phrasetypeid) VALUES (0, 'setting_" . $varname . "_desc', '" . addslashes($setting['description']) . "', 5000)");
	}

	return '<div class="smallfont">Добавлен параметр - ' . $setting['title'] . '</div>';
}

// ##### Update Setting Function ##############################################
function update_setting($title = false, $description = false, $oldgrouptitle = false)
{
	global $db, $setting, $varname, $setting, $grouptitle;

	if ($title)
	{
		$db->query_write("UPDATE " . TABLE_PREFIX . "phrase SET text = '" . addslashes($setting['title']) . "' WHERE varname = 'setting_" . $varname . "_title'");
	}
	if ($description)
	{
		$db->query_write("UPDATE " . TABLE_PREFIX . "phrase SET text = '" . addslashes($setting['description']) . "' WHERE varname = 'setting_" . $varname . "_desc'");
	}

	$db->query_write("UPDATE " . TABLE_PREFIX . "adv_setting SET defaultvalue = '" . addslashes($setting['defaultvalue']) . "', optioncode = '" . addslashes($setting['optioncode']) . "', displayorder = '$setting[displayorder]', grouptitle = '$grouptitle' WHERE varname = '$varname' AND grouptitle = '" . iif($oldgrouptitle, $oldgrouptitle, $grouptitle) . "'");

	return '<div class="smallfont">Параметр обновлён - ' . $varname . '</div';
}

// ##### Delete Setting Function ##############################################
function kill_setting()
{
	global $db, $grouptitle, $varname;

	$db->query_write("DELETE FROM " . TABLE_PREFIX . "phrase WHERE varname IN('setting_" . $varname . "_title', 'setting_" . $varname . "_desc')");
	$db->query_write("DELETE FROM " . TABLE_PREFIX . "adv_setting WHERE varname = '$varname'");

	return '<div class="smallfont">Параметр удалён - ' . $varname . '</div';
}

// ##### Insert Phrase Function ###############################################
function insert_phrase()
{
	global $db, $phrasetypeid, $varname, $text;

	$db->query_write("DELETE FROM " . TABLE_PREFIX . "phrase WHERE varname = '$varname' AND phrasetypeid = '$phrasetypeid' AND languageid = 0");

	$db->query_write("INSERT INTO " . TABLE_PREFIX . "phrase (languageid, varname, text, phrasetypeid, product) VALUES (0, '" . $varname . "', '" . addslashes($text) ."', $phrasetypeid, 'adv_cmps')");

	return '<div class="smallfont">Фраза добавлена - ' . $varname . '</div>';
}

// ##### Update Phrase Function ###############################################
function update_phrase()
{
	global $db, $varname, $text, $phrasetypeid;

	$db->query_write("UPDATE " . TABLE_PREFIX . "phrase SET text = '" . addslashes($text) ."' WHERE varname = '$varname' AND phrasetypeid = '$phrasetypeid'");

	return '<div class="smallfont">Фраза обновлена - ' . $varname . '</div>';
}

// ##### Delete Phrase Function ###############################################
function kill_phrase($varname, $phrasetypeid)
{
	global $db;
	$db->query_write("DELETE FROM " . TABLE_PREFIX . "phrase WHERE varname = '$varname' AND phrasetypeid = '$phrasetypeid'");

	return '<div class="smallfont">Фраза удалена ' . $varname . '</div>';
}

// ##### Install Table Start Function #########################################
function print_install_table_start($title = '', $reqdo = '')
{
	global $scriptfile, $scriptname;

	if ($reqdo)
	{
		print_form_header($scriptfile, $reqdo);
	}
	else
	{
		echo '<form action="' . $scriptfile . '.php" method="post">';
		print_table_start();
	}

	if (!$title)
	{
		$title = 'Установка vBadvanced ' . $scriptname;
	}

	print_table_header($title);
}

// ##### Install End Table Function ###########################################
function print_install_table_end()
{
	global $stepphrase, $scriptname, $step, $nextstep, $nextdo, $rebuildtemp, $nocontinue, $_REQUEST, $forumsoff;

	print_description_row('<div style="padding:12px;">' . $stepphrase . '</div>');

	if ($_REQUEST['do'] == 'installstart')
	{
		print_radio_row('', 'do', array('install' => 'Начало процесса установки.', 'upgrade' => 'Обновление.', 'templates' => 'Переустановка шаблонов.', 'phrases' => 'Переустановка фраз.', 'doimages' => 'Обновление путей к вашим изображениям.', 'uninstall' => 'Удаление vBadvanced ' . $scriptname . '.'), 'install');
	}

	construct_hidden_code('step', iif($nextstep, $nextstep, $step + 1));

	if ($nextdo != 'closeforums')
	{
		construct_hidden_code('forumsoff', $forumsoff);
	}

	if ($nextdo)
	{
		construct_hidden_code('do', $nextdo);
	}

	print_table_break();

	if ($rebuildtemp)
	{
		build_all_styles(0, 0);
	}

	if ($nocontinue)
	{
		print_table_footer();
	}
	else
	{
		print_submit_row('Продолжить', '');
	}
}

// ##### Check for and add indexes ############################################
function add_table_index($table, $column)
{
	global $db;
	$indexcheck = $db->query("SHOW KEYS FROM " . TABLE_PREFIX . $table);
	while ($icheck = $db->fetch_array($indexcheck))
	{
		if ($icheck['Column_name'] == $column AND $icheck['Seq_in_index'] == 1)
		{
			return;
		}
	}
	$db->query_write("ALTER TABLE " . TABLE_PREFIX . "$table ADD INDEX ($column)");
}

// ##### Insert Plugins #######################################################
function insert_plugins()
{
	global $db, $vba_plugins;

	foreach ($vba_plugins AS $devkey => $plugin)
	{
		$plugin['devkey'] = $devkey;
		$plugin['product'] = 'adv_cmps';
		$plugin['active'] = 1;

		$plugcheck = $db->query_first("SELECT devkey FROM " . TABLE_PREFIX . "plugin WHERE devkey = '$devkey'");

		$db->query_write(fetch_query_sql($plugin, 'plugin', iif($plugcheck['devkey'], 'WHERE devkey = \'' . $devkey . '\'', '')));
	}

	vBulletinHook::build_datastore($db);
}

// ############################################################################
// Arrays
// ############################################################################

// ##### Templates ############################################################
$maintemplates = array(
'adv_portal' =>
'$stylevar[htmldoctype]
<html dir="$stylevar[textdirection]" lang="$stylevar[languagecode]">
<head>
<title>$vboptions[hometitle] <if condition="$pagetitle">- $pagetitle</if></title>

$headinclude

<if condition="$show[\'inlinemod\']"><script type="text/javascript" src="clientscript/vbulletin_inlinemod.js"></script></if>

</head>
<body>

$header

$navbar

<table align="center" class="page" cellspacing="0" cellpadding="0" width="100%">
<tr valign="top">

<if condition="$show[\'left_column\']">

<td width="$vba_style[portal_leftcolwidth]">

$home[leftblocks]

</td>

<!-- Spacer Cell -->
<td width="$vba_style[portal_colspacing]"><img alt="" src="$vboptions[bburl]/$vboptions[cleargifurl]" width="$vba_style[portal_colspacing]" /></td>
<!-- / Spacer Cell -->

</if>


<if condition="$show[\'center_column\']">
<td valign="top">

$home[centerblocks]

</td>
</if>


<if condition="$show[\'right_column\']">

<!-- Spacer Cell -->
<td width="$vba_style[portal_colspacing]"><img alt="" src="$vboptions[bburl]/$vboptions[cleargifurl]" width="$vba_style[portal_colspacing]" /></td>
<!-- / Spacer Cell -->

<td valign="top" width="$vba_style[portal_rightcolwidth]">

$home[rightblocks]

</td>
</if>

</tr>
</table>

$footer

</body>
</html>',

'adv_portal_buddylistbits' =>
'<div class="smallfont" style="margin-bottom:2px">
	<span style="float:$stylevar[right]">
	<a href="$vboptions[bburl]/private.php?$session[sessionurl]do=newpm&amp;u=$loggedin[userid]" title="<phrase 1="$loggedin[username]">$vbphrase[send_private_message_to_x]</phrase>">$vbphrase[pm]</a>
	<a href="$vboptions[bburl]/profile.php?$session[sessionurl]do=removelist&amp;userlist=buddy&amp;u=$loggedin[userid]" title="$vbphrase[remove_from_buddy_list]">X</a>
	</span>
	<a href="$vboptions[bburl]/member.php?$session[sessionurl]u=$loggedin[userid]">$loggedin[username]</a> $loggedin[invisiblemark]
</div>',

'adv_portal_calendar_day' =>
'<td class="<if condition="$show[\'highlightweek\']">alt1<else />alt2</if>"<if condition="$show[\'highlighttoday\']"> style="border:solid 1px red; font-weight:bold" title="$vbphrase[today]"</if>>
	<if condition="$show[\'daylink\']">
		<span class="smallfont"><a href="calendar.php?$session[sessionurl]do=getinfo&amp;day=$year-$month-$day&amp;c=$calendarid" title="$eventdesc">$day</a></span>
	<else />
		<span class="smallfont">$day</span>
	</if>
</td>',

'adv_portal_calendar_day_other' =>
'<td class="alt1"><span class="smallfont">$day</span></td>',

'adv_portal_calendar_header' =>
'<tr>
	<if condition="$show[\'day1\']"><td align="center" class="thead">$day1</td></if>
	<if condition="$show[\'day2\']"><td align="center" class="thead">$day2</td></if>
	<if condition="$show[\'day3\']"><td align="center" class="thead">$day3</td></if>
	<if condition="$show[\'day4\']"><td align="center" class="thead">$day4</td></if>
	<if condition="$show[\'day5\']"><td align="center" class="thead">$day5</td></if>
	<if condition="$show[\'day6\']"><td align="center" class="thead">$day6</td></if>
	<if condition="$show[\'day7\']"><td align="center" class="thead">$day7</td></if>
</tr>
$calendarrowbits
',

'adv_portal_calendar_week' =>
'<tr align="center">
	$calendardaybits
</tr>
',

'adv_portal_footer' =>
'<!-- НЕ удаляйте это сообщение правообладателя. Это нарушит ваше пользовательское соглашение! -->

<div align="center" class="smallfont"><phrase 1="$vba_options[portal_version]">$vbphrase[powered_by_vbadvanced_cmps]</phrase></div>',

'adv_portal_latestthreads_head' =>
'<tr>
	<if condition="$mod_options[\'portal_threads_showicon\']">
		<td class="thead" width="5">&nbsp;</td>
	</if>
	<td class="thead" width="100%">$vbphrase[title_username_date]</td>
	<if condition="$mod_options[\'portal_threads_lastpost\']">
		<td align="center" class="thead" nowrap="nowrap" width="25%">$vbphrase[last_post]</td>
	</if>
	<td class="thead" width="15">$vbphrase[replies]</td>
	<td class="thead" width="15">$vbphrase[views]</td>
	<if condition="$mod_options[\'portal_threads_showforum\']">
		<td align="center" class="thead" width="10%">$vbphrase[forum]</td>
	</if>
</tr>',

'adv_portal_latesttopicbits' =>
'<if condition="$mods[\'modcol\'] == 1">

	<tr>
		<if condition="$mod_options[\'portal_threads_showicon\']">
			<td class="alt2"><if condition="$show[\'threadicon\']"><img alt="" border="0" src="$thread[threadiconpath]" title="$thread[threadicontitle]" /></if></td>
		</if>

		<td class="alt1">
			<if condition="$thread[\'subscribed\']">
				<span style="float:$stylevar[right]"><img alt="" class="inlineimg" src="$stylevar[imgdir_misc]/subscribed.gif" title="$vbphrase[you_are_subscribed_to_this_thread]" /></span>
			</if>
			<a href="$vboptions[bburl]/showthread.php?t=$thread[threadid]" title="$thread[preview]"><if condition="$show[\'gotonewpost\']"><strong>$thread[title]</strong><else />$thread[title]</if></a>

			<if condition="$thread[\'rating\']">
				<span style="float:$stylevar[right]"><img alt="" src="$stylevar[imgdir_rating]/rating_$thread[rating].gif" title="<phrase 1="$thread[votenum]" 2="$thread[voteavg]">$vbphrase[thread_rating_x_votes_y_average]</phrase>" /></span>
			</if>

		<div class="smallfont"><span style="cursor:pointer" onclick="window.open(\'$vboptions[bburl]/member.php?$session[sessionurl]u=$thread[postuserid]\')">$thread[postusername]</span>

		</div>
		<if condition="$mod_options[\'portal_threads_showdate\']"><div class="smallfont">$thread[postdate] $thread[posttime]</div></if>
		</td>
		<if condition="$show[\'lastpost\']">
			<td class="alt2">
				<div class="smallfont" style="text-align:right; white-space:nowrap">$thread[lastpostdate] <span class="time">$thread[lastposttime]</span><br /><phrase 1="$vboptions[bburl]/member.php?$session[sessionurl]find=lastposter&amp;t=$thread[threadid]" 2="$thread[lastposter]">$vbphrase[by_x]</phrase> <a href="$vboptions[bburl]/showthread.php?$session[sessionurl]goto=lastpost&amp;t=$thread[threadid]"><img alt="" border="0" src="$stylevar[imgdir_button]/lastpost.gif" title="$vbphrase[go_to_last_post]" /></a></div>
			</td>
		</if>
		<td align="center" class="<if condition="$show[\'lastpost\']">alt1<else />alt2</if>"><span class="smallfont">$thread[replycount]</span></td>

		<td align="center" class="<if condition="$show[\'lastpost\']">alt2<else />alt1</if>"><span class="smallfont">$thread[views]</span></td>
			<if condition="$mod_options[\'portal_threads_showforum\']">
				<td class="<if condition="$show[\'lastpost\']">alt1<else />alt2</if>"><span class="smallfont"><a href="$vboptions[bburl]/forumdisplay.php?$session[sessionurl]f=$thread[forumid]">$thread[forumtitle]</a></span></td>
			</if>
	</tr>

<else />

	<tr>
		<td class="$bgclass">
			<if condition="$show[\'threadicon\']">
				<img alt="" src="$thread[threadiconpath]" border="0" title="$thread[threadicontitle]" />
			</if>
			<if condition="$thread[\'subscribed\']">
				<img alt="" class="inlineimg" src="$stylevar[imgdir_misc]/subscribed.gif" title="$vbphrase[you_are_subscribed_to_this_thread]" />
			</if>
			<span class="smallfont"><a href="$vboptions[bburl]/showthread.php?t=$thread[threadid]" title="<if condition="$thread[preview]">$thread[preview]

</if>$vbphrase[by] $thread[postusername] <if condition="$mod_options[\'portal_threads_showdate\']">$thread[postdate] $thread[posttime]</if>"><if condition="$show[\'gotonewpost\']"><strong>$thread[title]</strong><else />$thread[title]</if></a></span>

			<if condition="$thread[\'rating\']">
				<div style="margin-top:4px"><img alt="" src="$stylevar[imgdir_rating]/rating_$thread[rating].gif" title="<phrase 1="$thread[votenum]" 2="$thread[voteavg]">$vbphrase[thread_rating_x_votes_y_average]</phrase>" /></div>
			</if>
			<if condition="$show[\'lastpost\']">
				<div class="smallfont" style="margin-top:4px"><a href="$vboptions[bburl]/showthread.php?$session[sessionurl]goto=lastpost&amp;t=$thread[threadid]"><img alt="" border="0" src="$stylevar[imgdir_button]/lastpost.gif" title="$vbphrase[go_to_last_post]" /></a> $vbphrase[last_post_by] <a href="$vboptions[bburl]/member.php?find=lastposter&amp;t=$thread[threadid]">$thread[lastposter]</a></div>
				<div class="smallfont">$thread[lastpostdate] <span class="time">$thread[lastposttime]</span></div>
			</if>

			<if condition="$mod_options[\'portal_threads_showforum\']">
				<div class="smallfont"><a href="$vboptions[bburl]/forumdisplay.php?$session[sessionurl]f=$thread[forumid]">$thread[forumtitle]</a></div>
			</if>
		<div class="smallfont">$thread[replycount] $vbphrase[replies], $thread[views] $vbphrase[views]</div></td>
	</tr>
</if>',

'adv_portal_moderation' =>
'<tr>
<td class="$bgclass">
			<if condition="$show[\'threads\']">
				<div><phrase 1="$threads[count]" 2="$modcpdir/moderate.php?do=posts">$vbphrase[x_threads]</phrase></div>
			</if>
			<if condition="$show[\'posts\']">
				<div><phrase 1="$posts[count]" 2="$modcpdir/moderate.php?do=posts#postlist">$vbphrase[x_posts]</phrase></div>
			</if>
			<if condition="$show[\'events\']">
				<div><phrase 1="$events[count]" 2="$modcpdir/moderate.php?do=events">$vbphrase[x_events]</phrase></div>
			</if>
			<if condition="$show[\'attachments\']">
				<div><phrase 1="$attachments[count]" 2="$modcpdir/moderate.php?do=attachments">$vbphrase[x_attachment]</phrase></div>
			</if>
				<div><phrase 1="$users[count]" 2="$admincpdir/user.php?do=moderate">$vbphrase[x_users]</phrase></div>
</td>
</tr>',

'adv_portal_module_shell' =>
'$mods[formcode]
<table align="center" border="0" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" class="tborder" width="100%">
	<thead>
		<tr>
			<td class="tcat" colspan="$mods[colspan]">
			<if condition="$vba_style[\'portal_collapsemods\']">
				<a href="#top" onclick="return toggle_collapse(\'module_$mods[collapse]\')" style="float:$stylevar[right]"><img alt="" border="0" id="collapseimg_module_$mods[collapse]" src="$stylevar[imgdir_button]/collapse_tcat$modimgcollapse.gif" /></a>
			</if>
			<span class="smallfont"><strong>$vba_style[portal_blockbullet] <if condition="$mods[\'link\']"><a href="$mods[link]">$mods[title]</a><else />$mods[title]</if></strong></span></td>
		</tr>
	</thead>
	<tbody id="collapseobj_module_$mods[collapse]" style="$modcollapse">
		<if condition="$show[\'tablerow\']">
			<tr>
				<td class="$bgclass">
					$modulehtml
				</td>
			</tr>
		<else />
			$modulehtml
		</if>
	</tbody>
</table>
<div><img src="$vboptions[bburl]/$vboptions[cleargifurl]" height="$vba_style[portal_vspace]" alt="" /></div>

<if condition="$mods[\'formcode\']"></form></if>',

'adv_portal_navigation' =>
'<tr>
	<td class="$bgclass">
		$navigationbits
		$customnavigationbits
	</td>
</tr>',

'adv_portal_navigationbits' =>
'<div class="smallfont">$navmark <if condition="$link"><a href="$link">$title</a><else />$title</if></div>',

'adv_portal_newsbits' =>
'<if condition="!$mod_options[\'portal_news_legacy\']">
	<tr>
		<td class="thead"><if condition="$mod_options[\'portal_news_showicon\']">$vba_style[portal_blockbullet]</if> <a href="$vboptions[bburl]/showthread.php?t=$news[threadid]">$news[title]</a></td>
	</tr>
</if>
<tr>
	<td class="<if condition="$mod_options[\'portal_news_legacy\']">thead<else />alt2</if>">
		<if condition="$mod_options[\'portal_news_showrating\'] AND $news[\'votenum\']">
			<span style="float:$stylevar[right]"><img alt="" src="$stylevar[imgdir_rating]/rating_$news[rating].gif" title="<phrase 1="$news[votenum]" 2="$news[voteavg]">$vbphrase[thread_rating_x_votes_y_average]</phrase>" /></span>
		</if>
		$news[dateposted] - <phrase 1="$vboptions[bburl]/member.php?$session[sessionurl]u=$news[postuserid]" 2="$news[postusername]">$vbphrase[by_x]</phrase>
	</td>
</tr>
<tr>
	<td align="$stylevar[left]" class="alt1" valign="top">
		<if condition="$news[\'avatarpath\']">
			<img align="$stylevar[left]" style="padding:6px" alt="" border="0" src="$news[avatarpath]" title="$news[postusername]\'s $vbphrase[avatar]" />
		</if>
		$news[message]

		<if condition="$show[\'signature\']">
		<div>__________________<br />
		$news[signature]</div>
		</if>

		</td>
	</tr>

	<if condition="$news[\'attachment\']">
		<tr class="alt1">
			<td>
				<fieldset class="fieldset">
				<legend>Вложенные файлы</legend>
				<div style="padding:$stylevar[formspacer]px">
					$news[attachment]
				</div>
				</fieldset>
			</td>
		</tr>
	</if>

	<tr class="alt2" valign="middle">
	<td valign="middle">
		<span style="float:right">
		<if condition="$show[\'editbutton\']">
			<a href="$vboptions[bburl]/editpost.php?$session[sessionurl]do=editpost&amp;p=$news[postid]"><img alt="$vbphrase[edit_this_post]" border="0" src="$stylevar[imgdir_button]/edit.gif" /></a>
		</if>

		<if condition="$show[\'replybutton\']">
			<a href="$vboptions[bburl]/newreply.php?$session[sessionurl]do=newreply&amp;t=$news[threadid]"><img alt="$vbphrase[reply_to_this_post]" border="0" src="$stylevar[imgdir_button]/reply_small.gif" /></a>
		</if>

		<if condition="$mod_options[\'portal_news_showsendfriend\']">
			<a href="$vboptions[bburl]/sendmessage.php?$session[sessionurl]do=sendtofriend&amp;t=$news[threadid]"><img alt="" border="0" src="$stylevar[imgdir_button]/sendtofriend.gif" title="$vbphrase[send_to_friend]" /></a>
		</if>

		<if condition="$mod_options[\'portal_news_showprintable\']">
			<a href="$vboptions[bburl]/printthread.php?$session[sessionurl]t=$news[threadid]"><img alt="" border="0" src="$stylevar[imgdir_button]/printer.gif" title="$vbphrase[show_printable_version]" /></a>
		</if>
		</span>

		<span class="smallfont">
		<if condition="$mod_options[\'portal_news_allowreplies\']">$news[replycount] <if condition="$news[\'reply_noformat\'] == 1">$vbphrase[reply]<else />$vbphrase[replies]</if> | </if> $news[views] $vbphrase[views]</span>
	</td>
</tr>',

'adv_portal_news_archivebits' =>
'<if condition="$mods[\'modcol\'] == 1">
	<tr>
		<if condition="$mod_options[\'portal_news_showicon\']">
			<td class="alt2"><if condition="$show[\'threadicon\']"><img alt="" border="0" src="$news[threadiconpath]" title="$news[threadicontitle]" /></if>
			</td>
		</if>

		<td class="alt1" align="$stylevar[left]">
			<if condition="$news[\'subscribed\']">
				<span style="float:$stylevar[right]"><img alt="" class="inlineimg" src="$stylevar[imgdir_misc]/subscribed.gif" title="$vbphrase[you_are_subscribed_to_this_thread]" /></span>
			</if>
			<b><a href="$vboptions[bburl]/showthread.php?t=$news[threadid]" title="$news[preview]">$news[title]</a></b>

			<div class="smallfont"><phrase 1="$vboptions[bburl]/member.php?$session[sessionurl]u=$news[postuserid]" 2="$news[postusername]">$vbphrase[by_x]</phrase>
				<if condition="$news[\'rating\']">
					<span style="float:$stylevar[right]"><img alt="" src="$stylevar[imgdir_rating]/rating_$news[rating].gif" title="<phrase 1="$news[votenum]" 2="$news[voteavg]">$vbphrase[thread_rating_x_votes_y_average]</phrase>" /></span>
				</if>
			</div>

			<div class="smallfont">$news[postdate] <span class="time">$news[posttime]</span></div>

		</td>

		<if condition="$show[\'lastpost\']">
			<td class="alt2">
				<div class="smallfont" style="text-align:right; white-space:nowrap">$news[lastpostdate] <span class="time">$news[lastposttime]</span><br /><phrase 1="$vboptions[bburl]/member.php?$session[sessionurl]find=lastposter&amp;t=$news[threadid]" 2="$news[lastposter]">$vbphrase[by_x]</phrase> <a href="$vboptions[bburl]/showthread.php?$session[sessionurl]goto=lastpost&amp;t=$news[threadid]"><img alt="" border="0" src="$stylevar[imgdir_button]/lastpost.gif" title="$vbphrase[go_to_last_post]" /></a></div>
			</td>
		</if>

		<td align="center" class="<if condition="$show[\'lastpost\']">alt1<else />alt2</if>"><span class="smallfont">$news[replycount]</span></td>
		<td align="center" class="<if condition="$show[\'lastpost\']">alt2<else />alt1</if>"><span class="smallfont">$news[views]</span></td>
		<if condition="$mod_options[\'portal_newsarchive_showforum\']">
			<td class="<if condition="$show[\'lastpost\']">alt1<else />alt2</if>"><span class="smallfont"><a href="$vboptions[bburl]/showthread.php?$session[sessionurl]t=$news[threadid]">$news[forumtitle]</a></span></td>
		</if>
	</tr>

<else />

	<tr>
		<td class="$bgclass">
			<if condition="$news[threadiconpath]">
				<img alt="" src="$news[threadiconpath]" border="0" title="$news[threadicontitle]" />
			</if>
			<if condition="$news[\'subscribed\']">
				<img alt="" class="inlineimg" src="$stylevar[imgdir_misc]/subscribed.gif" title="$vbphrase[you_are_subscribed_to_this_thread]" />
			</if>
			<span class="smallfont"><b><a href="$vboptions[bburl]/showthread.php?t=$news[threadid]" title="<if condition="$news[preview]">$news[preview]

</if>$vbphrase[by] $news[postusername] $news[postdate] $news[posttime]">$news[title]</a></b></span>
			<if condition="$show[\'lastpost\']">
				<div class="smallfont">$vbphrase[last_post_by] <a href="$vboptions[bburl]/member.php?find=lastposter&amp;t=$news[threadid]">$news[lastposter]</a></div>
				<div class="smallfont">$news[lastpostdate] <span class="time">$news[lastposttime]</span></div>
			</if>
			<if condition="$mod_options[\'portal_newsarchive_showforum\']">
				<div class="smallfont"><a href="$vboptions[bburl]/showthread.php?$session[sessionurl]t=$news[threadid]">$news[forumtitle]</a></div>
			</if>
			<div class="smallfont">$news[replycount] $vbphrase[replies], $news[views] $vbphrase[views]</div>
		</td>
	</tr>
</if>',

'adv_portal_news_archive_head' =>
'<tr>
	<if condition="$mod_options[\'portal_news_showicon\']">
		<td class="thead" width="15">&nbsp;</td>
	</if>
	<td class="thead" width="100%">$vbphrase[title_username_date]</td>
	<if condition="$show[\'lastpost\']">
		<td align="center" class="thead" nowrap="nowrap" width="25%">$vbphrase[last_post]</td>
	</if>
	<td class="thead" width="15">$vbphrase[replies]</td>
	<td class="thead" width="15">$vbphrase[views]</td>
	<if condition="$mod_options[\'portal_newsarchive_showforum\']">
		<td align="center" class="thead" width="10%">$vbphrase[forum]</td>
	</if>
</tr>',

'adv_portal_onlineusers' =>
'<tr>
<td class="thead"><span class="smallfont"><phrase 1="$numberregistered" 2="$numberguest">$vbphrase[x_members_and_y_guests]</phrase></span></td>
	</tr>
	<tr>
		<td class="$altbgclass"><span class="smallfont">$activeusers</span></td>
	</tr>

	<tr>
		<td class="$bgclass"><span class="smallfont"><phrase 1="$recordusers" 2="$recorddate" 3="$recordtime">$vbphrase[most_users_ever_online_was_x_y_at_z]</phrase></span></td>
</tr>',

'adv_portal_poll' =>
'<tr>
	<td class="thead">$pollinfo[question]</td>
</tr>

$pollbits

<tr>
	<td align="$stylevar[left]" class="$altbgclass">
		<if condition="$pollinfo[\'showresults\']">
			<span class="smallfont"><b>$vbphrase[total_votes]: $pollinfo[nvotes]</b><br />$pollinfo[message].</span>
		<else />
			<input name="s" type="hidden" value="$session[dbsessionhash]" />
			<input name="do" type="hidden" value="pollvote" />
			<input name="pollid" type="hidden" value="$pollinfo[pollid]" />
			<input class="button" name="button" type="submit" value="$vbphrase[vote_now]" />
		</if>
	</td>
</tr>
<tr>
	<td class="$bgclass">
		<div class="smallfont">&raquo; <a href="$vboptions[bburl]/poll.php?$session[sessionurl]do=showresults&amp;pollid=$pollinfo[pollid]">$vbphrase[view_poll_results]</a></div>
		<if condition="$mod_options[\'portal_poll_allowreplies\']">
			<div class="smallfont">&raquo; <a href="$vboptions[bburl]/newreply.php?$session[sessionurl]t=$pollinfo[threadid]">$vbphrase[discuss_this_poll]</a></div>
			<div class="smallfont">&raquo; <a href="$vboptions[bburl]/showthread.php?$sddession[sessionurl]t=$pollinfo[threadid]">$vbphrase[this_poll_has] $pollinfo[replycount] <if condition="$pollinfo[\'replycount\'] == 1">$vbphrase[reply]<else />$vbphrase[replies]</if></a></div>
		</if>

		<if condition="$show[\'editpoll\']">
			<div class="smallfont">&raquo; <a href="$vboptions[bburl]/poll.php?$session[sessionurl]do=polledit&amp;pollid=$pollinfo[pollid]">$vbphrase[edit_poll]</a></div>
		</if>
	</td>
</tr>',

'adv_portal_polloption' =>
'<tr>
	<td class="$bgclass" valign="middle"><label for="pollchoice_$option[number]"><input id="pollchoice_$option[number]" name="optionnumber" type="radio" value="$option[number]" /><span class="smallfont">$option[question]</span></label></td>
</tr>',

'adv_portal_polloption_multiple' =>
'<tr>
<td class="$bgclass"><label for="pollchoice_$option[number]"><input id="pollchoice_$option[number]" name="optionnumber[$option[number]]" type="checkbox" value="yes" /> <span class="smallfont">$option[question]</span></label></td>
</tr>',

'adv_portal_pollresult' =>
'<tr>
	<td class="$bgclass">
		<span class="smallfont"><if condition="$show[\'voteital\']"><em>$option[question] - $option[percent]%</em><else />$option[question] - $option[percent]%</if></span><br />
<img alt="" height="10" src="$stylevar[imgdir_poll]/bar$option[graphicnumber]-l.gif" width="3" /><img alt="$option[votes] <if condition="$option[\'votes\'] <> 1">$vbphrase[votes]<else />$vbphrase[vote]</if>" height="10" src="$stylevar[imgdir_poll]/bar$option[graphicnumber].gif" width="$option[barnumber]" /><img alt="" height="10" src="$stylevar[imgdir_poll]/bar$option[graphicnumber]-r.gif" width="3" />
	</td>
</tr>',

'adv_portal_search' =>
'<tr>
<td class="$bgclass">
	<input class="bginput" name="query" size="13" type="text" /> $gobutton
	<div class="smallfont">&raquo; <a href="$vboptions[bburl]/search.php?">$vbphrase[advanced_search]</a></div>
</td>
</tr>',

'adv_portal_stats' =>
'<tr>
	<td class="$bgclass">
		<span class="smallfont">$vbphrase[members]: $numbermembers<br />
		$vbphrase[threads]: $totalthreads<br />
		$vbphrase[posts]: $totalposts<br />
		$vbphrase[top_poster]: <a href="$vboptions[bburl]/member.php?$session[sessionurl]u=$topposter[userid]">$topposter[username]</a> ($topposter[posts])<br /></span>
	</td>
</tr>
<tr>
	<td class="$altbgclass"><span class="smallfont"><phrase 1="$vboptions[bburl]/member.php?$session[sessionurl]u=$newuserid" 2="$newusername">$vbphrase[welcome_to_our_newest_member_x]</phrase></span></td>
</tr>',

'adv_portal_welcomeblock' =>
'<tr>
<td class="$bgclass">

	<if condition="$mods[\'modcol\'] == 1">
		<if condition="!$show[\'guest\']">

			<if condition="$avatarurl">
				<a href="$vboptions[bburl]/profile.php?do=editavatar"><img src="$avatarurl" border="0" alt="$vbphrase[edit_avatar]" /></a>
			</td>
			<td class="$altbgclass" valign="top" width="100%">
			</if>
				<if condition="$bbuserinfo[\'reputationdisplay\'] OR ($bbuserinfo[\'rank\'] AND $mod_options[\'portal_welcome_rank\'])">
					<div class="smallfont" style="float:$stylevar[right]">
					<if condition="$bbuserinfo[\'reputationdisplay\']">
						$vbphrase[rep_power]: $reppower
						<div align="$stylevar[right]" style="margin-bottom:5px">$bbuserinfo[reputationdisplay]</div>
					</if>
					<if condition="$bbuserinfo[\'rank\'] AND $mod_options[\'portal_welcome_rank\']">
						<div align="$stylevar[right]" style="margin-top:5px; margin-bottom:5px">$bbuserinfo[rank]</div>
					</if>
					</div>
				</if>

				<span class="smallfont"><phrase 1="$bbuserinfo[username]">$vbphrase[welcome_back_x]</phrase><br />
				<phrase 1="$lastvisitdate" 2="$lastvisittime">$vbphrase[last_visited_x_at_y]</phrase><br />
				<if condition="$mod_options[\'portal_welcome_newposts\']">
					<a href="$vboptions[bburl]/search.php?$session[sessionurl]do=getnew">$vbphrase[new_posts]</a>: $newposts<br />
				</if>

				<a href="$vboptions[bburl]/login.php?$session[sessionurl]do=logout&amp;logouthash=$bbuserinfo[logouthash]" onclick="return log_out()">$vbphrase[log_out]</a></span>

				<if condition="$mod_options[\'portal_welcome_newpms\'] AND $show[\'pmstats\']">
						</td>
					</tr>
					<tr>
						<td class="thead" colspan="2"><a href="$vboptions[bburl]/private.php?$session[sessionurl]">$vbphrase[private_messages]</a></td>
					</tr>
					<tr>
						<td class="$bgclass" colspan="2"><span class="smallfont"><phrase 1="$bbuserinfo[pmunread]" 2="$bbuserinfo[pmtotal]" 3="$permissions[pmquota]">$vbphrase[x_new_have_y_of_z_allowed]</phrase></span>
				</if>
		<else />

			<table width="100%" cellspacing="3" cellpadding="0">
				<tr>
					<td nowrap="nowrap"><span class="smallfont">$vbphrase[user_name]</span></td>
					<td nowrap="nowrap"><input class="bginput" name="vb_login_username" size="12" type="text" /></td>
					<td nowrap="nowrap"><span class="smallfont"><input checked="checked" class="bginput" name="cookieuser" id="cb_cookieuser" type="checkbox" value="1" />$vbphrase[remember_me]</span></td>
					<td align="center" rowspan="2" width="100%"><phrase 1="$vboptions[bburl]">$vbphrase[not_a_member_yet_register_now]</phrase></td>
				</tr>
				<tr>
					<td><span class="smallfont">$vbphrase[password]</span></td>
					<td><input class="bginput" name="vb_login_password" size="12" type="password" /></td>
					<td><input class="button" type="submit" value="$vbphrase[log_in]" /></td>
				</tr>
			</table>

		</if>

	<else />

		<if condition="$bbuserinfo[\'userid\']">
			<span class="smallfont"><phrase 1="$bbuserinfo[username]">$vbphrase[welcome_back_x]</phrase></span><br />

		<if condition="$mod_options[\'portal_welcome_avatar\']">
			<div style="padding:4px">
				<a href="$vboptions[bburl]/profile.php?do=editavatar"><img src="$avatarurl" border="0" alt="$vbphrase[edit_avatar]" /></a>
			</div>
		</if>
		<div class="smallfont">
		<phrase 1="$lastvisitdate" 2="$lastvisittime">$vbphrase[last_visited_x_at_y]</phrase><br />
		<if condition="$mod_options[\'portal_welcome_newposts\']">
			<a href="$vboptions[bburl]/search.php?$session[sessionurl]do=getnew">$vbphrase[new_posts]</a>: $newposts<br />
		</if>

		<if condition="$bbuserinfo[\'reputationdisplay\']">
			<div style="margin-top:5px; margin-bottom:5px">$vbphrase[rep_power]: $reppower<br />
			$bbuserinfo[reputationdisplay]</div>
		</if>
		<if condition="$bbuserinfo[\'rank\'] AND $mod_options[\'portal_welcome_rank\']">
			<div style="margin-top:5px; margin-bottom:5px">$bbuserinfo[rank]</div>
		</if>

		<a href="$vboptions[bburl]/login.php?$session[sessionurl]do=logout&amp;logouthash=$bbuserinfo[logouthash]" onclick="return log_out()">$vbphrase[log_out]</a></div>

		<if condition="$mod_options[\'portal_welcome_newpms\'] AND $show[\'pmstats\']">
			</td>
			</tr>
			<tr>
			<td class="thead"><a href="$vboptions[bburl]/private.php?$session[sessionurl]">$vbphrase[private_messages]</a></td>
			</tr>
			<tr>
			<td class="$altbgclass"><span class="smallfont"><phrase 1="$bbuserinfo[pmunread]" 2="$bbuserinfo[pmtotal]" 3="$permissions[pmquota]">$vbphrase[x_new_have_y_of_z_allowed]</phrase></span>
		</if>

		<else />
			<div class="smallfont" style="padding:2px">$vbphrase[user_name]:<br />
				<input class="bginput" name="vb_login_username" size="12" type="text" /><br />
				$vbphrase[password]:<br />
				<input class="bginput" name="vb_login_password" size="12" type="password" /><br />
				<input checked="checked" class="bginput" name="cookieuser" id="cb_cookieuser" type="checkbox" value="1" />$vbphrase[remember_me]

				<div style="margin-top:3px; margin-bottom:6px;">
					<input class="button" type="submit" value="$vbphrase[log_in]" />
				</div>

			<phrase 1="$vboptions[bburl]">$vbphrase[not_a_member_yet_register_now]</phrase>
			</div>

	</if>
</if>
</td>
</tr>'

);

// ##### Phrases ##############################################################
$mainphrases['569']['active_users'] = 'Активные пользователи';
$mainphrases['569']['buddies'] = 'друзья';
$mainphrases['569']['by'] = 'от';
$mainphrases['569']['discuss_this_poll'] = 'Обсудить голосование';
$mainphrases['569']['edit_this_post'] = 'Редактировать сообщение';
$mainphrases['569']['last_post_by'] = 'Последнее сообщение от';
$mainphrases['569']['latest_forum_topics'] = 'Последние темы форума';
$mainphrases['569']['new_pms'] = 'Новые Л.С';
$mainphrases['569']['news_archive'] = 'Архив новостей';
$mainphrases['569']['no_x_online'] = '<span class="smallfont">Все {1} не на сайте</span>';
$mainphrases['569']['no_x_to_display'] = 'Нет {1}, чтобы отобразить.';
$mainphrases['569']['not_a_member_yet_register_now'] = 'Еще не зарегистрированы?<br />
<a href="{1}/register.php">Регистрация!</a>';
$mainphrases['569']['on'] = 'в';
$mainphrases['569']['online_buddies'] = 'Друзья на сайте';
$mainphrases['569']['pm'] = 'Л.С';
$mainphrases['569']['poll_results'] = 'Результаты голосования';
$mainphrases['569']['powered_by_vbadvanced_cmps'] = '<a href="http://vbadvanced.com" target="_blank">vBadvanced</a> CMPS v{1}.<br><a href="http://vbulletin.net.ru" target="_blank">Русский</a> перевод: <a href="http://vbhelp.org" target="_blank">zCarot</a> и <a href="http://worldmobile.net.ru" target="_blank">Lazek</a>. ';
$mainphrases['569']['quick_moderation'] = 'Быстрая модерация';
$mainphrases['569']['read_more'] = ' <span class="smallfont">[<a href="{1}/showthread.php?{3}t={2}">Читать дальше</a>]</span>';
$mainphrases['569']['remove_from_buddy_list'] = 'Удалить из списка друзей';
$mainphrases['569']['rep_power'] = 'Вес репутации';
$mainphrases['569']['reply_to_this_post'] = 'Ответить на сообщение';
$mainphrases['569']['send_to_friend'] = 'Отправить другу';
$mainphrases['569']['show_printable_version'] = 'Версия для печати';
$mainphrases['569']['this_poll_has'] = 'В этом голосовании';
$mainphrases['569']['title_username_date'] = 'Заголовок, Пользователь, Дата';
$mainphrases['569']['top_poster'] = 'Лучшие авторы';
$mainphrases['569']['vote'] = 'Проголосовать';
$mainphrases['569']['welcome_back_x'] = 'С возвращением, <strong>{1}</strong>';
$mainphrases['569']['x_attachment'] = '<a href="{2}" target="_blank">Вложения</a> ({1})';
$mainphrases['569']['x_events'] = '<a href="{2}" target="_blank">События</a> ({1})';
$mainphrases['569']['x_new_have_y_of_z_allowed'] = '{1} Новое(ых) сообщение(ия). У вас {2} сообщение(ия)(ий) из {3} возможных сообщений.';
$mainphrases['569']['x_posts'] = '<a href="{2}" target="_blank">Сообщения</a> ({1})';
$mainphrases['569']['x_threads'] = '<a href="{2}" target="_blank">Темы</a> ({1})';
$mainphrases['569']['x_users'] = '<a href="{2}" target="_blank">Пользователи</a> ({1})';

// Admin CP Phrases
$mainphrases['570']['active_set_to_no_disable'] = 'Активно
<div class="smallfont">При переключении этой опции на  \'Нет\' вы запретите отображение этого модуля на всех страницах.</div>';
$mainphrases['570']['add_child_page'] = 'Добавить дочернюю страницу';
$mainphrases['570']['add_module'] = 'Добавить модуль';
$mainphrases['570']['add_page'] = 'Добавить страницу';
$mainphrases['570']['add_setting'] = 'Добавить параметр';
$mainphrases['570']['advanced_options'] = 'Расширенные опции';
$mainphrases['570']['advanced_options_description'] = 'Здесь вы можете указать значения для каждого параметра модуля, которое будет применимо только к этой странице. Если здесь ничего не будет указано, то на этой странице будет использовано значение по умолчанию. Если вы желаете вернуть здесь значение по умолчанию, то просто нажмите "По-умолчанию" справа от параметра и сохраните настройки.';
$mainphrases['570']['allow_html'] = 'Разрешить HTML';
$mainphrases['570']['allow_image_code'] = 'Разрешить код [IMG]';
$mainphrases['570']['allow_smilies'] = 'Разрешить смайлы';
$mainphrases['570']['are_you_sure_delete_module_called_x'] = 'Вы действительно желаете удалить модуль <b>{1}</b>?<br />
Это действите <b>НЕ</b> может быть отменено.';
$mainphrases['570']['are_you_sure_delete_page_called_x'] = 'Вы действительно желаете удалить страницу <strong>{1}</strong>?';
$mainphrases['570']['bb_code'] = 'BB код';
$mainphrases['570']['bb_code_to_display'] = 'Отображение BB кода';
$mainphrases['570']['bbcode_allows_bbcode'] = 'BB код {1} позволит вам ввести BB код, который отобразиться как содержмое {2}.';
$mainphrases['570']['center_column'] = 'Центральная колонка';
$mainphrases['570']['change_x_type'] = '{1} - изменить тип';
$mainphrases['570']['change_x_type_note'] = ' Вы желаете изменить {1} с {2} {1} на {3} {1}. Помните, что при нажатии кнопки \'Сохранить\' вся предыдущая информация, хранимая в \'Опциях типа {2} {1}\' будет потеряна. Однако, вы можете вернуть тип {1} в любое время.';
$mainphrases['570']['change_x_type_to'] = 'Изменить {1} тип на';
$mainphrases['570']['choose_a_file'] = 'Выбрать файл';
$mainphrases['570']['clean_file_output'] = 'Очистить файл вывода
<div class="smallfont">Если вы попытаетесь подключить PHP файл, который не был написан специально для vBulletin или vBadvanced, то может быть важно "очистить" вывод из этого файла. Если вы добавляете модуль, и на самом верху вашей страницы появляется вывод содержимого, то это хороший показатель, что требуется очистка.</div>';
$mainphrases['570']['column'] = 'Колонка';
$mainphrases['570']['copy'] = 'Копировать';
$mainphrases['570']['current_selected_threads'] = 'Текущее выделение тем';
$mainphrases['570']['currently_running_latest_available'] = 'Вы используете vBadvanced CMPS v{1}.<br />
<br />
Последняя доступная версия {2}.<br />
<br />
{3}';
$mainphrases['570']['custom_content_title'] = 'Другой заголовок содержимого
<div class="smallfont">Это то, что будет помещено в заголовок вашего шаблона \'adv_portal_module_shell\'.';
$mainphrases['570']['custom_page_content_description'] = 'Этот модуль используется для отображения различных типов содержимого на ваших страницах. Например, если вы добавляете шаблон страницы, то содержимое шаблона, указанного на этой странице будет получено из этого модуля.';
$mainphrases['570']['custom_style_for_this_page'] = 'Другой стиль для этой страницы';
$mainphrases['570']['download_module'] = 'Скачать модуль';
$mainphrases['570']['duplicate_filename'] = 'Дублированное имя файла';
$mainphrases['570']['duplicate_filename_desc'] = '<div class="smallfont">Файл с именем <b>{1}</b> уже существует  вашей папке модулей. Пожалуйста, выберите другое имя файла.';
$mainphrases['570']['duplicate_module_identifier'] = 'Дублированный идентификатор модуля';
$mainphrases['570']['duplicate_module_identifier_desc'] = '<div class="smallfont">У вас уже есть модуль с идентификатором \'{1}\'. Пожалуйста, выберите другой идентификатор.</div>';
$mainphrases['570']['edit_module'] = 'Редактировать модуль';
$mainphrases['570']['edit_modules'] = 'Редактировать модули';
$mainphrases['570']['edit_page'] = 'Редактировать страницу';
$mainphrases['570']['edit_pages'] = 'Редактировать страницы';
$mainphrases['570']['edit_setting'] = 'Редактировать параметр';
$mainphrases['570']['edit_template'] = 'Редактировать шаблон';
$mainphrases['570']['edit_template_for_x_in_style'] = 'Редактировать шаблон для {1} в следующем стиле: ';
$mainphrases['570']['edit_threads'] = 'Редактировать темы';
$mainphrases['570']['file_allows_file'] = 'Файл {1} позволит вам указать файл из вашей директории modules, который будет отображен как содержимое {2}.';
$mainphrases['570']['file_to_include'] = 'Подключаемый файл';
$mainphrases['570']['form_code'] = 'Код формы
<div class="smallfont">Если ваш модуль требует тега &lt;form&gt; вы можете ввести код для этого тега form здесь. Это позволит поместить код над таблицей и соблюсти стандарты XHTML.';
$mainphrases['570']['here_specify_which_usergroups_access_page'] = 'Здесь вы можете указать, какие группы пользователей будут иметь доступ к этой странице.';
$mainphrases['570']['here_specify_which_usergroups_view_module'] = 'Здесь вы можете указать, какие группы пользователей смогут увидеть этот модуль.';
$mainphrases['570']['hide_module_settings'] = 'Скрыть параметры модуля';
$mainphrases['570']['html_allows_html'] = 'HTML страница позволит вам указать HTML файл на вашем сервере, чтобы включить его для отображения в качестве содержимого вашего модуля \'Другое содержимое страницы\'.';
$mainphrases['570']['html_file'] = 'Файл HTML';
$mainphrases['570']['identifier'] = 'Идентификатор';
$mainphrases['570']['inactive'] = 'Неактивный';
$mainphrases['570']['left_column'] = 'Левая колонка';
$mainphrases['570']['level'] = 'Уровень';
$mainphrases['570']['link'] = 'Ссылка';
$mainphrases['570']['main_options'] = 'Основные настройки';
$mainphrases['570']['meta_description'] = 'META описание
<div class="smallfont">Здесь вы можете ввести META описание этой страницы. Оставьте этот параметр пустым, чтобы использовать значение по умолчанию из vBulletin.</div>';
$mainphrases['570']['meta_keywords'] = 'Ключевые слова META
<div class="smallfont">Здесь вы можете ввести список ключевых слов META для этой страницы. Оставьте этот параметр пустым, чтобы использовать значение по умолчанию из vBulletin.</div>';
$mainphrases['570']['module'] = 'Модуль';
$mainphrases['570']['module_allows_module'] = 'Страница модулей позволит вам выбрать только те модули, которые вы хотите отобразить на странице.';
$mainphrases['570']['module_identifier'] = 'Идентификатор модуля
<div class="smallfont">Это то, что будет использовано для идентификации модуля и его параметров. Помните, что это не может быть изменено позже, и каждый модуль должен иметь уникальный идентификатор.</div>';
$mainphrases['570']['module_name'] = 'Имя модуля';
$mainphrases['570']['module_parent'] = 'Родительский модуль
<div class="smallfont">Некоторым модулям (такие как Архив новостей), вероятно, следует указать родительский модуль. Если этому модулю нужен родительский - укажите его здесь.</div>';
$mainphrases['570']['module_shell_template_options'] = 'Опции шаблона оболочки модуля';
$mainphrases['570']['module_title'] = 'Заголовок модуля';
$mainphrases['570']['module_type'] = 'Тип модуля';
$mainphrases['570']['modules'] = 'Модули';
$mainphrases['570']['modules_enabled'] = 'Модули включены';
$mainphrases['570']['move_to'] = 'Переместить в';
$mainphrases['570']['newer_version_available'] = '<b>Доступна новейшая версия vBadvanced CMPS!</b><br />
<br />
Пожалуйста зайдите на <a href="http://vbadvanced.com/" target="_blank">vBadvanced.com</a>, чтобы узнать больше.';
$mainphrases['570']['no_modules'] = 'Нет модулей';
$mainphrases['570']['no_x_to_display'] = 'Нет {1}, чтобы отобразить.';
$mainphrases['570']['option_code'] = 'Код опции';
$mainphrases['570']['options_apply_to_module_shell'] = 'Этот раздел связан с опциями, которые могут быть применимы к вашему шаблону \'adv_portal_module_shell\'. Помните, что эти опции будут работать, только если параметр \'Использовать шаблон оболочки модуля\' установлен на \'Да\'.';
$mainphrases['570']['or_template_to_include'] = '<b>ИЛИ</b> подключаемый шаблон';
$mainphrases['570']['order'] = 'Порядок';
$mainphrases['570']['overwrite_templates'] = 'Перезаписать шаблоны';
$mainphrases['570']['overwrite_templates_desc'] = '<div class="smallfont">Следующий шаблон(ы) уже существуют в этом стиле:
<div style="margin-top:5px; margin-bottom:5px">{1}</div>
Выберите \'да\', чтобы перезаписать ваши шаблоны новыми, или выберите не сохранять ваши текущие шаблоны.</div>';
$mainphrases['570']['page_active'] = 'Страница активна
<div class="smallfont">Если установлено \'Нет\', то это страница будет видна только модераторами и админам.</div>';
$mainphrases['570']['page_identifier'] = 'Идентификатор страницы';
$mainphrases['570']['page_identifier_example'] = 'Это переменная, которая будет использована в ссылке на страницу. например, если указан параметр \'games\', то ссылка на эту страницу будет выглядеть так: {1}?{2}=games</div>';
$mainphrases['570']['page_template'] = 'Шаблон страницы';
$mainphrases['570']['page_template_description'] = 'Этот шаблон заменит ваш модуль "Другое содержимое страницы". Если вы не желаете иметь другой шаблон на этой странице, то пропустите это поле.';
$mainphrases['570']['page_title'] = 'Заголовок страницы';
$mainphrases['570']['page_type'] = 'Тип страницы';
$mainphrases['570']['parent_page'] = 'Родительская страница';
$mainphrases['570']['path_to_file'] = 'Путь к файлу
<div class="smallfont">Здесь вы можете указать путь к файлу, которым желаете заменить ваш модуль \'Другого содержания страницы\'.</div>';
$mainphrases['570']['php_file'] = 'PHP файл';
$mainphrases['570']['please_select_type_of_x_to_add'] = 'Пожалуйста, укажите какой тип {1} вы хотите добавить.';
$mainphrases['570']['random'] = 'Случайный';
$mainphrases['570']['remove_module'] = 'Удалить модуль';
$mainphrases['570']['right_column'] = 'Правая колонка';
$mainphrases['570']['select_an_action'] = 'Выберите действие';
$mainphrases['570']['select_module_upload'] = 'Пожалуйста, укажите модуль с вашего компьютера для загрузки';
$mainphrases['570']['select_new_threads'] = 'Выбрать новые темы';
$mainphrases['570']['setting'] = 'параметр';
$mainphrases['570']['setting_customized_pages'] = 'Этот параметр изменен в следующих страницах: ';
$mainphrases['570']['show_module_settings'] = 'Показать параметры модуля';
$mainphrases['570']['simple_calendar'] = 'Простой календарь';
$mainphrases['570']['style_to_install_to'] = 'Стиль для установки шаблонов
<div class="smallfont">Если этот модуль включает в себя другие шаблоны, вы должны здесь выбрать, в какой стиль вы желаете установить эти шаблоны.</div>';
$mainphrases['570']['template'] = 'Шаблон';
$mainphrases['570']['template_allows_template'] = 'Шаблон {1} позволит вам указать имя шаблона, который будет отображаться как содержимое {2}.';
$mainphrases['570']['template_content'] = 'Содержимое шаблона
<div class="smallfont">Если вы добавляете новый {1} и шаблон не существует, то вы можете ввести содержимое этого шаблона здесь. Если шаблон уже существует, просто оставьте это поле пустым. Пожалуйста, обратите внимание, что любые изменения этого шаблона должны быть сделаны через \'Управление стилями\'.</div>';
$mainphrases['570']['template_note_prefixes'] = 'Пожалуйста, обратите внимание, что шаблоны должны иметь префикс "adv_portal". Вводить этот префикс в имени шаблона необязательно, поэтому, если вы желаете включить шаблон под названием "adv_portal_search", то просто введите "search" для включаемого шаблона.';
$mainphrases['570']['template_title'] = 'Заголовок шаблона';
$mainphrases['570']['template_to_include'] = 'Подключаемый шаблон';
$mainphrases['570']['templates_used'] = 'Использованные шаблоны
<div class="smallfont">Здесь вы можете ввести список любых шаблонов, которые будут использованы для данного модуля. Это используется как для кэширования шаблонов так и для выяснения какие шаблоны принадлежат скачиваемому модулю.';
$mainphrases['570']['templates_used_note'] = 'Список всех шаблонов (разделённых запятыми), которые будет использовать ваш модуль, для кэширования и предотвращения нежелательных запросов. <br />Помните: это важно только при подключении файлов, но не при подключении шаблонов.';
$mainphrases['570']['this_module'] = 'этот модуль';
$mainphrases['570']['this_what_used_identify_module'] = 'Это то, что будет использовать для идентификации каждого модуля. До тех пор пока вам это не понадобиться - опустите этот параметр.';
$mainphrases['570']['title_row_colspan'] = 'Количество ячеек для заголовка
<div class="smallfont">Если в модуле будет более одной табличной ячейки для вывода, то вы можете указать значение colspan, которое укажет количество занимаемых ячеек заголовком в шаблоне \'adv_portal_module_shell\'.</div>';
$mainphrases['570']['to_begin_selecting_threads'] = 'Для начала выборки тем для отображения, сначала выберите соответсвующий раздел.';
$mainphrases['570']['to_remove_this_module'] = 'Для удаления этого модуля нажмите на кнопку\'Удалить модуль\'.';
$mainphrases['570']['tool_downloads_module'] = 'Этот инструмент поможет вам скачать файл .module, который будет содержать всю информацию о модуле (настройки, шаблоны, файлы и т.д.), которые связаны с этим модулем. Это позволит вам легко делать резервные копии ваших модулей и/или делится вашими разработками с другими.';
$mainphrases['570']['update_all_pages'] = 'Обновить все страницы
<div class="smallfont">Установите опцию на \'Да\', если вы желаете обновить все ваши страницы, включая этот модуль. В противном случае вам нужно будет вручную редактировать каждую страницу, на которой должен появляться этот модуль.</div>';
$mainphrases['570']['upload_module'] = 'Загрузить модуль';
$mainphrases['570']['use_default'] = 'Использовать по умолчанию';
$mainphrases['570']['use_default_style'] = 'Использовать стиль по умолчанию';
$mainphrases['570']['use_module_shell_template'] = 'Использовать шаблон оболочки модуля
<div class="smallfont">Эта опция будет отображать вывод информации из {1} с помощью вашего шаблона \'adv_portal_module_shell\'. </div>';
$mainphrases['570']['vbadvanced_cmps'] = 'vBadvanced CMPS';
$mainphrases['570']['version_info_unavailable'] = 'Информация о версии vBadvanced в данный момент недоступна.';
$mainphrases['570']['welcome_to_vba_cmps_control_panel'] = 'Добро пожаловать в панель администратора vBadvanced CMPS';
$mainphrases['570']['x_link'] = '{1} Ссылка
<div class="smallfont">Если вы желаете, чтобы заголовок {1} ссылался на другую страницу вашего сайта, то вы можете ввести сюда файл, на который должен ссылаться {1}.</div>';
$mainphrases['570']['x_options'] = '<b>Опции {1}</b>';
$mainphrases['570']['x_tools'] = 'Инструменты {1} ';
$mainphrases['570']['x_y_options'] = 'Опции {2} {1}';
$mainphrases['570']['your_custom_content'] = 'ваш модуль \'другое содержимое страницы\'';
$mainphrases['570']['your_vba_version_up_to_date'] = 'Вы используете новейшую версию vBadvanced CMPS.';

// Error Messages
$mainphrases['1000']['adv_portal_cant_remove_default'] = 'Вы не можете удалить вашу страницу по умолчанию!';
$mainphrases['1000']['adv_portal_choose_style'] = 'Вы можете выбрать стиль, в котором желаете устанавливать шаблоны для этого модуля.';
$mainphrases['1000']['adv_portal_duplicate_identifier'] = 'У вас уже есть {1} с идентификатором \'{2}\'. Пожалуйста, укажите другой идентификатор.';
$mainphrases['1000']['adv_portal_invalid_modfile'] = 'Файл, который вы загрузили, не является правильным файлом модуля.';
$mainphrases['1000']['adv_portal_moddir_notwritable'] = 'Ваша директория modules недоступна для записи. Пожалуйста, установите права (chmod) вашей директории modules  на 777 и попробуйте снова';
$mainphrases['1000']['adv_portal_must_choose_include'] = 'Для подключения содержимого вы должны выбрать либо файл, либо шаблон!';
$mainphrases['1000']['adv_portal_must_choose_php_file_include'] = 'Для подключения содержимого вы должны выбрать PHP файл!';
$mainphrases['1000']['adv_portal_must_choose_template_include'] = 'Для подключения содержимого вы должны выбрать шаблон!';
$mainphrases['1000']['adv_portal_must_choose_title_for_module'] = 'Вы должны выбрать заголовок для вашего модуля!';
$mainphrases['1000']['adv_portal_must_enter_x_for_page'] = 'Вы должны выбрать {1} для вашей страницы!';
$mainphrases['1000']['adv_portal_template_exists'] = 'Шаблон {1} уже существует в этом стиле. Пожалуйста, выберите другое имя вашего шаблона, другой стиль, в который нужно установить шаблон, или просто пропустите поле  \'Содержимое шаблона\'. Помните, что вы можете также отредактировать этот шаблон через \'Управление стилями\'.';
$mainphrases['1000']['adv_portal_must_choose_x_type'] = 'Вы должны указать тип {1} перед добавлением!
<div class="smallfont"><b>Помните: </b>Если вы проследовали по ссылке \'Добавить {1}\' из вашей панели администратора и вы получили это сообщение, то скорее всего вы не корректно выполнили всех изменений при обновлении вашей CMPS. Посмотрите файл readme и убедитесь, что вы выполнили все указанные изменения в вашем файле admincp/index.php.';
$mainphrases['1000']['adv_portal_cant_parent_page_itself'] = 'Вы не можете создать страницу, являющуюся родительской для самой себя. Вернитесь назад и выберите другую родительскую страницу.';
$mainphrases['1000']['adv_portal_threads_save_page'] = 'Извините, но добавляемая вами новая страницы не была создана, поэтому темы не могут быть корректно сохранены. Вернитесь назад и сохраните страницу, которую вы создали в начале. Затем вы сможете выбрать темы при возвращении на страницу редактирования.';
$mainphrases['1000']['adv_portal_invalid_file_path'] = 'Указанный вами путь ({1}) не является верным файлом на вашем сервере. Пожалуйста, вернитесь назад и введите полный путь (НЕ URL) к этому файлу.';

// CP Home Page
$mainphrases['9']['vba_cmps'] = 'vBa CMPS';
$mainphrases['9']['edit_modules'] = 'Редактировать модули';
$mainphrases['9']['edit_pages'] = 'Редактировать страницы';
$mainphrases['9']['add_module'] = 'Добавить модуль';
$mainphrases['9']['add_page'] = 'Добавить страницу';
$mainphrases['9']['default_settings'] = 'Параметры по умолчанию';
$mainphrases['9']['download_upload_module'] = 'Скачать / Загрузить модуль';
$mainphrases['9']['quick_permissions_editor'] = 'Быстрый редактор прав';

// Setting Group Phrases
$mainphrases['9']['adv_portal_main'] = 'Основное';
$mainphrases['9']['adv_portal_style'] = 'Стиль';
$mainphrases['9']['adv_global'] = 'Основные настройки vBadvanced';

// Template Group Phrase
$mainphrases['7']['group_adv_cmps'] = 'vBadvanced CMPS';

// ##### Settings #############################################################
$mainsettings['adv_global']['global_navbar_replace'] = array('title' => 'Замены в панели навигации', 'description' => 'Здесь вы можете ввести список имен файлов, к которым следует добавить URL вашего форума.', 'value' => 'memberlist.php
usercp.php
register.php
faq.php
calendar.php
search.php
login.php
forumdisplay.php
profile.php
private.php
subscription.php
member.php
online.php', 'optioncode' => 'textarea', 'displayorder' => '2');

$mainsettings['adv_global']['global_footer_replace'] = array('title' => 'Замены в Footer ', 'description' => 'Здесь вы можете ввести список имен файлов, которые могут появляться в вашем шаблоне footer и к которым следует добавить URL вашего форума.', 'value' => 'archive
sendmessage.php
profile.php', 'optioncode' => 'textarea', 'displayorder' => '3');

$mainsettings['adv_global']['global_header_replace'] = array('title' => 'Замены в Header', 'description' => 'Здесь вы можете ввести список имен файлов, которые могут появляться в вашем шаблоне header и к которым следует добавить URL вашего форума.', 'value' => '', 'optioncode' => 'textarea', 'displayorder' => '1');

$mainsettings['adv_portal_calendar']['portal_calendarid'] = array('title' => 'Отображаемый календарь', 'description' => 'Выберите календарь, в котором нужно отображать события из вашего мини-календаря.', 'value' => '-1', 'optioncode' => 'calendarselect', 'displayorder' => '1');

$mainsettings['adv_portal_latestthreads']['portal_threadids'] = array('title' => 'Темы', 'description' => 'Здесь вы можете указать специфические темы, отображаемые с помощью этого модуля. Пожалуйста, помните, что этот параметр перезапишет параметр ниже для раздела, в котором находятся эти темы.', 'value' => '', 'optioncode' => 'threadselect', 'displayorder' => '1');

$mainsettings['adv_portal_latestthreads']['portal_threads_forumids'] = array('title' => 'Последние темы с форума', 'description' => 'Здесь вы можете выбрать раздел(ы), из которых следует отображать последние темы. Чтобы выбрать более чем один раздел, зажмите клавишу \'Ctrl\' и выделите нужные разделы с помощью мыши. Опустите этот параметр, чтобы выбирать темы из всех разделов.', 'value' => '', 'optioncode' => 'forumselect', 'displayorder' => '2');

$mainsettings['adv_portal_latestthreads']['portal_threads_maxthreads'] = array('title' => 'Количество тем для отображения', 'description' => 'Максимальное количество последних тем, которые следует отображать.', 'value' => '10', 'optioncode' => '', 'displayorder' => '3');

$mainsettings['adv_portal_latestthreads']['portal_threads_cutoffdate'] = array('title' => 'Выборка по дате', 'description' => 'Здесь вы можете ввести количество дней, определяющих временной предел для последних тем. Любые темы, в которых никто не отвечал до текущей даты минус это количество дней, не будут включены. Это предотвращает большие поисковые запросы по таблице на больших форумах. Установите параметр на 0 для снятия ограничения.', 'value' => '10', 'optioncode' => '', 'displayorder' => '4');

$mainsettings['adv_portal_latestthreads']['portal_threads_maxchars'] = array('title' => 'Максимально отображаемое количество символов в заголовке темы', 'description' => 'Максимальное количество символов в названии темы, после которых появится \'...\'. Установите здесь 0, чтобы снять ограничения.', 'value' => '25', 'optioncode' => '', 'displayorder' => '5');

$mainsettings['adv_portal_latestthreads']['portal_threads_maxwordchars'] = array('title' => 'Максимальное количество символов в каждом слове', 'description' => 'Максимальное количество символов, которое может содержать слово. Любые темы, содержащие слова с большим количеством символов, чем указано здесь, будут обрезаны до этого значения (помогает предотвращать создание тем с большими названиями, растягивающими страницу).', 'value' => '15', 'optioncode' => '', 'displayorder' => '6');

$mainsettings['adv_portal_latestthreads']['portal_threads_orderby'] = array('title' => 'Порядок отображения тем', 'description' => 'Порядок, в котором должны отображаться темы.', 'value' => 'lastpost', 'optioncode' => '<select name=\\"setting[$setting[grouptitle]][$setting[varname]]\\"> <option " . iif($setting[value] == \'lastpost\', \'selected=\\"selected\\"\'). " value=\\"lastpost\\">По дате последнего ответа</option> <option " . iif($setting[value] == \'dateline\', \'selected=\\"selected\\"\'). " value=\\"dateline\\">По дате создания</option> <option " . iif($setting[value] == \'title\', \'selected=\\"selected\\"\'). " value=\\"title\\">По названию темы</option> <option " . iif($setting[value] == \'voteavg\', \'selected=\\"selected\\"\'). " value=\\"voteavg\\">По рейтингу</option> <option " . iif($setting[value] == \'replycount\', \'selected=\\"selected\\"\'). " value=\\"replycount\\">По количеству ответов</option> <option " . iif($setting[value] == \'views\', \'selected=\\"selected\\"\'). " value=\\"views\\">По количеству просмотров</option></select>', 'displayorder' => '7');

$mainsettings['adv_portal_latestthreads']['portal_threads_direction'] = array('title' => 'Направление отображения тем', 'description' => 'Направление, в котором следует отображаться темы.', 'value' => 'DESC', 'optioncode' => '<select name=\\"setting[$setting[grouptitle]][$setting[varname]]\\"> <option " . iif($setting[value] == \'ASC\', \'selected=\\"selected\\"\'). " value=\\"ASC\\">По возрастанию</option> <option " . iif($setting[value] == \'DESC\', \'selected=\\"selected\\"\'). " value=\\"DESC\\">По убыванию</option></select>', 'displayorder' => '8');

$mainsettings['adv_portal_latestthreads']['portal_applypermissions'] = array('title' => 'Применять права форума', 'description' => 'Когда установлено \'Да\', будут запрашиваться права учётной записи на форуме, и темы будут показаны, только если пользователь имеет права на их просмотр.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '9');

$mainsettings['adv_portal_latestthreads']['portal_threads_showdate'] = array('title' => 'Показывать дату и время', 'description' => 'Отображать дату и время создания темы?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '10');

$mainsettings['adv_portal_latestthreads']['portal_threads_lastpost'] = array('title' => 'Показывать последнюю информацию о сообщении', 'description' => 'Отображать последнего ответившего в теме и время ответа?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '11');

$mainsettings['adv_portal_latestthreads']['portal_threads_showforum'] = array('title' => 'Показывать раздел', 'description' => 'Отображать название и ссылку на раздел, в котором было оставлено это сообщение?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '12');

$mainsettings['adv_portal_latestthreads']['portal_threads_showpreview'] = array('title' => 'Показывать предпросмотр тем', 'description' => 'Стоит ли отображать предпросмотр темы, как и на странице отображения разделов форума?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '13');

$mainsettings['adv_portal_latestthreads']['portal_threads_showicon'] = array('title' => 'Показывать иконки тем ', 'description' => 'Отображать иконку тем?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '14');

$mainsettings['adv_portal_latestthreads']['portal_threads_showsubscribed'] = array('title' => 'Показывать иконку подписки', 'description' => 'Отображать ли иконку \'подписки\' около названия тем, на которые подписан пользователь?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '15');

$mainsettings['adv_portal_latestthreads']['portal_threads_showrating'] = array('title' => 'Показывать рейтинг тем ', 'description' => 'Отображать рейтинг тем?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '16');

$mainsettings['adv_portal_main']['portal_version'] = array('title' => 'Версия vBadvanced CMPS', 'description' => 'НЕ изменяйте этот параметр.', 'value' => '2.1.0', 'optioncode' => 'hidden', 'displayorder' => '0');

$mainsettings['adv_portal_main']['portal_homeurl'] = array('title' => 'Путь к CMPS', 'description' => 'Полный путь к файлу CMPS.', 'value' => '/cmps_index.php', 'optioncode' => '', 'displayorder' => '1');

$mainsettings['adv_portal_main']['portal_pagevar'] = array('title' => 'Переменная страницы', 'description' => 'Это переменная, которая будет использоваться в адресе со страницы на страницу. Например, если здесь указано \'page\', то ссылка на другую страницу будет выглядеть как: http://yoursite.com/index.php?<b>page</b>=yourpage', 'value' => 'page', 'optioncode' => '', 'displayorder' => '2');

$mainsettings['adv_portal_main']['portal_outputglobals'] = array('title' => 'Глобальные переменные вывода портала', 'description' => 'Если на вашем форуме установлены другие модули, то, вероятно, есть необходимость сделать глобальными некоторые переменные, используемые модулями, чтобы они работали с CMPS. Вы можете ввести список глобальных переменных здесь. Разделяйте каждую переменную переводом строки. Помните, что НЕ следует добавлять знак $ перед названием переменной.', 'value' => '', 'optioncode' => 'textarea', 'displayorder' => '3');

$mainsettings['adv_portal_main']['portal_replaceadmin'] = array('title' => 'Заменить ссылку на панель администратора', 'description' => 'Эта опция заменит ссылку на \'Панель администратора\' в вашем шаблоне footer на файл администрирования CMPS. Если вы изменили ваш файл admincp/index.php и добавили туда настройки CMPS, то вы можете выключить этот параметр из заходить в панель управления форумом.', 'value' => '0', 'optioncode' => 'yesno', 'displayorder' => '4');

$mainsettings['adv_portal_navigation']['portal_navigation_excludepages'] = array('title' => 'Исключаемые станицы', 'description' => 'Здесь вы можете выбирать страницы, из которых вы не хотели бы отображать в этом модуле. Для выбора более чем одной страницы, зажмите кнопку \'Ctrl\' и отметьте нужные страницы мышью.', 'value' => '', 'optioncode' => 'pageselect', 'displayorder' => '1');

$mainsettings['adv_portal_navigation']['portal_navigation_mark1'] = array('title' => 'Отметка для 1 уровня', 'description' => 'Это то, что будет отображаться рядом с названием страницы, если у неё нет родительской.', 'value' => '&raquo;', 'optioncode' => '', 'displayorder' => '2');

$mainsettings['adv_portal_navigation']['portal_navigation_mark2'] = array('title' => 'Отметка для 2+ уровня', 'description' => 'Это то, что будет отображаться рядом с названием страницы, если у неё есть родительская.', 'value' => '&gt;', 'optioncode' => '', 'displayorder' => '3');

$mainsettings['adv_portal_navigation']['portal_navigation_addpages'] = array('title' => 'Дополнительные страницы', 'description' => 'Здесь вы можете ввести любые дополнительные страницы, на которые следует отображать ссылку в этом модуле. Просто введите название страницы в первую колонку и адрес на неё во вторую. Опция \'Уровень\' добавит в ссылку указанное число пробелов, создав связь "принадлежности" этой страницы, к первой странице у которой уровень ниже.', 'value' => 'a:2:{i:0;a:4:{s:5:"order";s:1:"1";s:5:"level";s:0:"";s:4:"link";s:21:"/betaforum/usercp.php";s:4:"text";s:7:"Мой кабинет";}i:1;a:4:{s:5:"order";s:1:"2";s:5:"level";s:1:"2";s:4:"link";s:18:"/betaforum/faq.php";s:4:"text";s:6:"Справка";}}', 'optioncode' => 'pageselect_add', 'displayorder' => '4');

$mainsettings['adv_portal_news']['portal_threadids'] = array('title' => 'Темы', 'description' => 'Здесь вы можете выбирать темы для отображения с этим модулем. Пожалуйста, помните, что эти параметры переопределят опцию выборки из раздела.', 'value' => '', 'optioncode' => 'threadselect', 'displayorder' => '1');

$mainsettings['adv_portal_news']['portal_news_forumid'] = array('title' => 'Новости раздела(ов)', 'description' => 'Здесь вы можете выбирать раздел(ы), из которых вы хотели бы отображать темы в новостях. Для выбора более чем одного раздела, зажмите кнопку \'Ctrl\' и отметьте нужные разделы мышью.', 'value' => '', 'optioncode' => 'forumselect', 'displayorder' => '2');

$mainsettings['adv_portal_news']['portal_news_maxposts'] = array('title' => 'Максимальное количество отображаемых тем', 'description' => 'Максимальное количество тем для отображения. Установите этот параметр на 0, чтобы показывать всё.', 'value' => '5', 'optioncode' => '', 'displayorder' => '3');

$mainsettings['adv_portal_news']['portal_news_cutoffdate'] = array('title' => 'Выборка по дате', 'description' => 'Здесь вы можете ввести количество дней, определяющих временной предел для новых сообщений. Любые темы, которые были созданы/обновлены до текущей даты минус это количество дней, не будут включены. Это предотвращает большие поисковые запросы по таблице на больших форумах. Установите параметр на 0 для снятия ограничения.', 'value' => '0', 'optioncode' => '', 'displayorder' => '4');

$mainsettings['adv_portal_news']['portal_news_maxchars'] = array('title' => 'Максимальное количество символов для отображения', 'description' => 'Максимальное количество символов, которые нужно отображать из сообщения, до ссылки \'[читать дальше]\'. Установите здесь \'0\', чтобы показывать сообщения полностью.', 'value' => '500', 'optioncode' => '', 'displayorder' => '5');

$mainsettings['adv_portal_news']['portal_news_dateformat'] = array('title' => 'Формат времени и даты', 'description' => 'Формат даты и времени. Очистите это поле, если не желаете отображать время создания сообщения.', 'value' => 'd.M.Y H:i', 'optioncode' => '', 'displayorder' => '6');

$mainsettings['adv_portal_news']['portal_news_orderby'] = array('title' => 'Порядок отображения тем', 'description' => 'В каком порядке должны сортироваться темы.', 'value' => 'postdateline', 'optioncode' => '<select name=\\"setting[$setting[grouptitle]][$setting[varname]]\\"> <option " . iif($setting[value] == \'lastpost\', \'selected=\\"selected\\"\'). " value=\\"lastpost\\">По дате последнего ответа</option> <option " . iif($setting[value] == \'postdateline\', \'selected=\\"selected\\"\'). " value=\\"postdateline\\">По дате добавления</option> <option " . iif($setting[value] == \'title\', \'selected=\\"selected\\"\'). " value=\\"title\\">По названию темы</option> <option " . iif($setting[value] == \'voteavg\', \'selected=\\"selected\\"\'). " value=\\"voteavg\\">По рейтингу</option> <option " . iif($setting[value] == \'replycount\', \'selected=\\"selected\\"\'). " value=\\"replycount\\">По количеству ответов</option> <option " . iif($setting[value] == \'views\', \'selected=\\"selected\\"\'). " value=\\"views\\">По количеству просмотров</option></select>', 'displayorder' => '7');

$mainsettings['adv_portal_news']['portal_news_direction'] = array('title' => 'Направление отображения тем', 'description' => 'Направление, в котором следует отображаться темы.', 'value' => 'DESC', 'optioncode' => '<select name=\\"setting[$setting[grouptitle]][$setting[varname]]\\"> <option " . iif($setting[value] == \'ASC\', \'selected=\\"selected\\"\'). " value=\\"ASC\\">По возрастанию</option> <option " . iif($setting[value] == \'DESC\', \'selected=\\"selected\\"\'). " value=\\"DESC\\">По убыванию</option></select>', 'displayorder' => '8');

$mainsettings['adv_portal_news']['portal_applypermissions'] = array('title' => 'Применять права форума', 'description' => 'Когда установлено \'Да\', будут запрашиваться права учётной записи на форуме, и темы будут показаны, только если пользователь имеет права на их просмотр. ', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '9');

$mainsettings['adv_portal_news']['portal_news_showattachments'] = array('title' => 'Разрешить вложения', 'description' => 'Отображать вложения к сообщениям?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '10');

$mainsettings['adv_portal_news']['portal_news_allowreplies'] = array('title' => 'Показывать информацию об ответе', 'description' => 'Отображать количество ответов на каждое сообщение?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '11');

$mainsettings['adv_portal_news']['portal_news_showavatar'] = array('title' => 'Показывать аватары', 'description' => 'Отображать аватар пользователя в каждом сообщении?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '12');

$mainsettings['adv_portal_news']['portal_news_showicon'] = array('title' => 'Показывать иконки сообщений', 'description' => 'Отображать иконки для каждого сообщения?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '13');

$mainsettings['adv_portal_news']['portal_news_showrating'] = array('title' => 'Показывать рейтинги', 'description' => 'Отображать рейтинг каждого сообщения?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '14');

$mainsettings['adv_portal_news']['portal_news_showsubscribed'] = array('title' => 'Показывать иконки подписанных тем', 'description' => 'Отображать ли иконку \'подписки\' около названия тем, на которые подписан пользователь?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '15');

$mainsettings['adv_portal_news']['portal_news_showprintable'] = array('title' => 'Показывать ссылку на версию для печати', 'description' => 'Отображать иконку \'версия для печати\', чтобы пользователи могли быстро распечатать тему, не затрачивая много краски?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '16');

$mainsettings['adv_portal_news']['portal_news_showsendfriend'] = array('title' => 'Показывать "отправить ссылку другу"', 'description' => 'Отображать иконку \'отправить другу\', чтобы пользователи могли быстро отправить друзьями email с ссылкой на тему?', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '17');

$mainsettings['adv_portal_news']['portal_news_showsignature'] = array('title' => 'Показывать подписи', 'description' => 'Эта опция определяет, стоит отображать подпись пользователя в сообщениях. Помните, что опция \'Показывать вашу подпись\' при создании сообщения всё ещё может использоваться для выключения подписи в выбранных сообщениях.', 'value' => '0', 'optioncode' => 'yesno', 'displayorder' => '18');

$mainsettings['adv_portal_news']['portal_news_sticky'] = array('title' => 'Показывать прикреплённые сообщения наверху', 'description' => 'Эта опция определяет, стоит ли отображать важные темы наверху раздела новостей.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '19');

$mainsettings['adv_portal_news']['portal_news_legacy'] = array('title' => 'Разделять новости', 'description' => 'Эта опция определяет, как отображать сообщения: вместе или раздельно.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '20');

$mainsettings['adv_portal_news']['portal_news_postcache'] = array('title' => 'Использовать кэш сообщений', 'description' => 'Эта опция позволит включить использование кэша сообщений для новостей, чтобы не обрабатывать BB код каждый раз при загрузке страницы. Это добавит производительности на сайтах с большим количеством новых сообщений, но выключит опции BB кодов ниже и заставит модуль использовать для новостей ваши настройки форума.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '21');

$mainsettings['adv_portal_news']['portal_news_enablehtml'] = array('title' => 'Разрешить HMTL', 'description' => 'Разрешить обработку HTML кода в сообщениях.', 'value' => '0', 'optioncode' => 'yesno', 'displayorder' => '22');

$mainsettings['adv_portal_news']['portal_news_enablevbcode'] = array('title' => 'Разрешить BB код', 'description' => 'Разрешить BB код в сообщениях.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '23');

$mainsettings['adv_portal_news']['portal_news_enablevbimage'] = array('title' => 'Разрешить [IMG] код', 'description' => 'Разрешить [IMG] код в сообщениях.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '24');

$mainsettings['adv_portal_news']['portal_news_enablesmilies'] = array('title' => 'Разрешить смайлы', 'description' => 'Разрешить смайлы в сообщениях.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '25');

$mainsettings['adv_portal_newsarchive']['portal_news_enablearchive'] = array('title' => 'Количество новостей в архиве для отображения', 'description' => 'Укажите число новых сообщений, которые вы хотите отображать в Архиве новостей. Установите этот параметр на 0, чтобы выключить архив новостей.', 'value' => '5', 'optioncode' => '', 'displayorder' => '1');

$mainsettings['adv_portal_newsarchive']['portal_news_archivepreview'] = array('title' => 'Показывать предпросмотр в архиве?', 'description' => 'Эта опция разрешит вам показывать предпросмотр архивных тем, как и на странице отображения раздела на форуме.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '2');

$mainsettings['adv_portal_newsarchive']['portal_newsarchive_lastpost'] = array('title' => 'Показывать информацию о последнем сообщении', 'description' => 'Эта опция будет отображать последнего ответившего пользователя и время, когда было создано последнее сообщение.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '3');

$mainsettings['adv_portal_newsarchive']['portal_newsarchive_showforum'] = array('title' => 'Показывать раздел', 'description' => 'Эта опция будет отображать имя и ссылку на раздел, в котором было создано сообщение.', 'value' => '0', 'optioncode' => 'yesno', 'displayorder' => '4');

$mainsettings['adv_portal_poll']['portal_threadids'] = array('title' => 'Темы', 'description' => 'Здесь вы можете выбирать темы для отображения с этим модулем. Пожалуйста, помните, что эти параметры переопределят опцию выборки из раздела.', 'value' => '', 'optioncode' => 'threadselect', 'displayorder' => '1');

$mainsettings['adv_portal_poll']['portal_poll_forumid'] = array('title' => 'Голосование раздела(ов)', 'description' => 'Здесь вы можете выбирать раздел(ы), в которых вы хотели бы отображать голосования. Для выбора более чем одного раздела, зажмите кнопку \'Ctrl\' и отметьте нужные разделы мышью.', 'value' => '', 'optioncode' => 'forumselect', 'displayorder' => '2');

$mainsettings['adv_portal_poll']['portal_poll_cutoffdate'] = array('title' => 'Выборка по дате', 'description' => 'Здесь вы можете ввести количество дней, определяющих временной предел для голосований. Любые голосования, которые были созданы до текущей даты минус это количество дней, не будут включены. Это предотвращает большие поисковые запросы по таблице на больших форумах. Установите параметр на 0 для снятия ограничения.', 'value' => '0', 'optioncode' => '', 'displayorder' => '3');

$mainsettings['adv_portal_poll']['portal_poll_orderby'] = array('title' => 'Порядок отображения голосований', 'description' => 'Порядок, в котором должно выбираться голосование.', 'value' => 'dateline', 'optioncode' => '<select name=\\"$name\\"> <option " . iif($setting[value] == \'dateline\', \'selected=\\"selected\\"\'). " value=\\"dateline\\">По дате создания</option> <option " . iif($setting[value] == \'votedate\', \'selected=\\"selected\\"\'). " value=\\"votedate\\">По последнему голосу</option> <option " . iif($setting[value] == \'rand\', \'selected=\\"selected\\"\'). " value=\\"rand\\">Случайно</option> </select>', 'displayorder' => '4');

$mainsettings['adv_portal_poll']['portal_poll_direction'] = array('title' => 'Направление отображения голосований', 'description' => 'Направление, в котором должно выбираться голосование.', 'value' => 'DESC', 'optioncode' => '<select name=\\"$name\\"> <option " . iif($setting[value] == \'ASC\', \'selected=\\"selected\\"\'). " value=\\"ASC\\">По возрастанию</option> <option " . iif($setting[value] == \'DESC\', \'selected=\\"selected\\"\'). " value=\\"DESC\\">По убыванию</option></select>', 'displayorder' => '5');

$mainsettings['adv_portal_poll']['portal_applypermissions'] = array('title' => 'Применять права форума', 'description' => 'Когда установлено \'Да\', будут запрашиваться права учётной записи на форуме, и темы будут показаны, только если пользователь имеет права на их просмотр.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '6');

$mainsettings['adv_portal_poll']['portal_poll_allowreplies'] = array('title' => 'Показывать информацию об ответе', 'description' => 'Эта опция покажет ссылку \'Ответить на голосование\' в ваших опросах, давая пользователям возможность быстро высказать мнение о нём.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '7');

$mainsettings['adv_portal_poll']['portal_poll_allowsmilies'] = array('title' => 'Разрешить смайлы', 'description' => 'Разрешить смайлы в опциях голосованиях.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '8');

$mainsettings['adv_portal_stats']['portal_stats_updatefrequency'] = array('title' => 'Частота обновления лучших авторов', 'description' => 'Чтобы предотвратить большой поиск по таблицам, список лучших авторов обновляется раз в несколько часов, когда информация передаётся в кэш. Здесь вы можете указать количеств часов между каждой проверкой на изменение списка лучших авторов. Установив этот параметр на \'0\' вы выключите задержку, то каждый раз будет выполняться подсчёт сообщений для составления этого списка.', 'value' => '24', 'optioncode' => '', 'displayorder' => '1');

$mainsettings['adv_portal_style']['portal_leftcolwidth'] = array('title' => 'Ширина левой колонки', 'description' => 'Ширина (в пикселях или процентах) вашей левой колонки.', 'value' => '175', 'optioncode' => '', 'displayorder' => '1');

$mainsettings['adv_portal_style']['portal_rightcolwidth'] = array('title' => 'Ширина правой колонки', 'description' => 'Ширина (в пикселях или процентах) вашей правой колонки.', 'value' => '175', 'optioncode' => '', 'displayorder' => '2');

$mainsettings['adv_portal_style']['portal_colspacing'] = array('title' => 'Горизонтальные отступы между колонками', 'description' => 'Размер отступа (в пикселях) между различными колонками.', 'value' => '15', 'optioncode' => '', 'displayorder' => '3');

$mainsettings['adv_portal_style']['portal_vspace'] = array('title' => 'Вертикальные отступы между модулями', 'description' => 'Размер отступа (в пикселях) между различными модулями.', 'value' => '15', 'optioncode' => '', 'displayorder' => '4');

$mainsettings['adv_portal_style']['portal_blockbullet'] = array('title' => 'Дополнение к заголовку модуля', 'description' => 'Здесь вы можете ввести любой HTML код, который будет появляться за названием каждого блока.', 'value' => '&raquo;', 'optioncode' => '', 'displayorder' => '5');

$mainsettings['adv_portal_style']['portal_shownavbar'] = array('title' => 'Включить навигационную панель', 'description' => 'Эта опция добавит на страницу навигационную  панель vBulletin.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '6');

$mainsettings['adv_portal_style']['portal_collapsemods'] = array('title' => 'Включить сворачиваемые модули', 'description' => 'Эта опция позволит вашим модулям сворачиваться/разворачиваться по желанию пользователей.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '7');

$mainsettings['adv_portal_welcomeblock']['portal_welcome_lastvisit_date'] = array('title' => 'Формат даты последнего посещения', 'description' => 'Формат, в котором следует отображать дату последнего посещения пользователем сайта.', 'value' => 'd-m-y', 'optioncode' => '', 'displayorder' => '1');

$mainsettings['adv_portal_welcomeblock']['portal_welcome_lastvisit_time'] = array('title' => 'Формат времени последнего посещения', 'description' => 'Формат, в котором следует отображать время последнего посещения пользователем сайта.', 'value' => 'H:i', 'optioncode' => '', 'displayorder' => '2');

$mainsettings['adv_portal_welcomeblock']['portal_welcome_newpms'] = array('title' => 'Показывать информацию о ЛС', 'description' => 'Отображение информации о ЛС пользователей.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '3');

$mainsettings['adv_portal_welcomeblock']['portal_welcome_avatar'] = array('title' => 'Показывать аватары пользователей', 'description' => 'Отображение аватаров пользователей.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '4');

$mainsettings['adv_portal_welcomeblock']['portal_welcome_newposts'] = array('title' => 'Показывать новые сообщения', 'description' => 'Эта опция будет отображать число новых сообщений с последнего посещения пользователями сайта, вместе с ссылкой на сообщения.', 'value' => '1', 'optioncode' => 'yesno', 'displayorder' => '5');

$mainsettings['adv_portal_welcomeblock']['portal_welcome_rep'] = array('title' => 'Показывать репутацию', 'description' => 'Эта опция позволит вам отображать изображение текущей репутации пользователя и вес репутации.', 'value' => '0', 'optioncode' => 'yesno', 'displayorder' => '6');

$mainsettings['adv_portal_welcomeblock']['portal_welcome_rank'] = array('title' => 'Показывать звание пользователей', 'description' => 'Эта опция позволит вам отображать изображения звания.', 'value' => '0', 'optioncode' => 'yesno', 'displayorder' => '7');


// ##### Setting Groups #######################################################
$adv_settinggroups = array(
	'adv_global' => 1,
	'adv_portal_main' => 2,
	'adv_portal_style' => 3
);

// ##### Modules ##############################################################
$vba_modules = array(
1 => array('title' => 'Пользователи на сайте', 'identifier' => 'onlineusers', 'filename' => 'onlineusers.php', 'inctype' => 'php_file', 'modcol' => '0', 'displayorder' => '4', 'templatelist' => 'adv_portal_onlineusers, forumhome_loggedinuser', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '{$vbulletin->options[bburl]}/online.php?$session[sessionurl]', 'options' => ''),

2 => array('title' => 'Список друзей', 'identifier' => 'buddylist', 'filename' => 'onlineusers.php', 'inctype' => 'php_file', 'modcol' => '0', 'displayorder' => '3', 'templatelist' => 'adv_portal_buddylistbits', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '{$vbulletin->options[bburl]}/profile.php?$session[sessionurl]do=editlist', 'options' => ''),

3 => array('title' => 'Мини-календарь', 'identifier' => 'calendar', 'filename' => 'minicalendar.php', 'inctype' => 'php_file', 'modcol' => '2', 'displayorder' => '1', 'templatelist' => 'adv_portal_calendar_week,adv_portal_calendar_header,adv_portal_calendar_day,adv_portal_calendar_day_other, calendar_smallmonth_day', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '7', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '{$vbulletin->options[bburl]}/calendar.php?$session[sessionurl]c=$mod_options[portal_calendarid]', 'options' => ''),

4 => array('title' => 'Новости', 'identifier' => 'news', 'filename' => 'news.php', 'inctype' => 'php_file', 'modcol' => '1', 'displayorder' => '3', 'templatelist' => 'adv_portal_newsbits, bbcode_quote, bbcode_php, bbcode_quote, postbit_attachment, postbit_attachmentimage, postbit_attachmentthumbnail', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => ''),

5 => array('title' => 'Последние темы', 'identifier' => 'latestthreads', 'filename' => 'latesttopics.php', 'inctype' => 'php_file', 'modcol' => '1', 'displayorder' => '5', 'templatelist' => 'adv_portal_latesttopicbits, adv_portal_latestthreads_head', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => ''),

6 => array('title' => 'Статистика', 'identifier' => 'stats', 'filename' => 'stats.php', 'inctype' => 'php_file', 'modcol' => '2', 'displayorder' => '3', 'templatelist' => 'adv_portal_stats', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => ''),

7 => array('title' => 'Текущий опрос', 'identifier' => 'poll', 'filename' => 'currentpoll.php', 'inctype' => 'php_file', 'modcol' => '0', 'displayorder' => '6', 'templatelist' => 'adv_portal_poll, adv_portal_pollresult, adv_portal_polloption, adv_portal_polloption_multiple', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '<form action="{$vbulletin->options[bburl]}/poll.php" method="post">', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => ''),

8 => array('title' => 'Быстрая модерация', 'identifier' => '', 'filename' => 'moderate.php', 'inctype' => 'php_file', 'modcol' => '0', 'displayorder' => '2', 'templatelist' => 'adv_portal_moderation', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => ''),

9 => array('title' => 'Блок приветствия', 'identifier' => 'welcomeblock', 'filename' => 'welcomeblock.php', 'inctype' => 'php_file', 'modcol' => '1', 'displayorder' => '1', 'templatelist' => 'adv_portal_welcomeblock, postbit_reputation', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '2', 'formcode' => '<script src="{$vbulletin->options[bburl]}/clientscript/vbulletin_md5.js" type="text/javascript"></script> <form action="{$vbulletin->options[bburl]}/login.php" method="post" onsubmit="md5hash(vb_login_password,vb_login_md5password)"> <input name="vb_login_md5password" type="hidden" /> <input name="s" type="hidden" value="" /> <input name="do" type="hidden" value="login" />', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '{$vbulletin->options[bburl]}/usercp.php?$session[sessionurl]', 'options' => ''),

10 => array('title' => 'Поиск по форуму', 'identifier' => '', 'filename' => 'search', 'inctype' => 'template', 'modcol' => '0', 'displayorder' => '5', 'templatelist' => '', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '<form action="{$vbulletin->options[bburl]}/search.php" method="post" name="search"> <input name="s" type="hidden" value="" /> <input name="do" type="hidden" value="process" /> <input name="sortby" type="hidden" value="lastpost" /> <input name="forumchoice" type="hidden" value="0" />', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '{$vbulletin->options[bburl]}/search.php?$session[sessionurl]', 'options' => ''),

11 => array('title' => 'Архив новостей', 'identifier' => 'newsarchive', 'filename' => 'news.php', 'inctype' => 'php_file', 'modcol' => '1', 'displayorder' => '4', 'templatelist' => 'adv_portal_news_archive_head, adv_portal_news_archivebits', 'userperms' => '', 'parent' => 'news', 'active' => '1', 'colspan' => '6', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => ''),

12 => array('title' => 'Другое содержимое страницы', 'identifier' => 'custompage', 'filename' => '', 'inctype' => 'custom', 'modcol' => '1', 'displayorder' => '2', 'templatelist' => '', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => ''),

13 => array('title' => 'Дни рождения сегодня', 'identifier' => 'birthdays', 'filename' => 'birthdays.php', 'inctype' => 'php_file', 'modcol' => '2', 'displayorder' => '2', 'templatelist' => '', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => ''),

14 => array('title' => 'Навигация по сайту', 'identifier' => 'navigation', 'filename' => 'navigation.php', 'inctype' => 'php_file', 'modcol' => '0', 'displayorder' => '1', 'templatelist' => 'adv_portal_navigation, adv_portal_navigationbits', 'userperms' => '', 'parent' => '', 'active' => '1', 'colspan' => '0', 'formcode' => '', 'cleanoutput' => '0', 'useshell' => '1', 'link' => '', 'options' => '')

);


// Модули
$vba_plugins = array(
	'adv_error' => array('title' => 'Замена для ошибок vBadvanced', 'hookname' => 'error_generic', 'phpcode' => 'if (defined(\'VBA_SCRIPT\')) { require_once(\'./includes/vba_cmps_include_error.php\'); }'),

	'adv_cmps_inctop' => array('title' => 'Включение наверх vBa CMPS', 'hookname' => 'style_fetch', 'phpcode' => 'if (defined(\'VBA_PORTAL\')) { require_once(\'./includes/vba_cmps_include_top.php\'); }'),

	'adv_cmps_incbottom' => array('title' => 'Включение вниз vBa CMPS', 'hookname' => 'parse_templates', 'phpcode' => 'if (defined(\'VBA_PORTAL\')) { require_once(\'./includes/vba_cmps_include_bottom.php\'); }'),

	'adv_cmps_newpost' => array('title' => 'vBa CMPS - новые сообщения в блоке приветствия', 'hookname' => 'newpost_complete', 'phpcode' => 'require_once(\'./includes/vba_cmps_plugin_newpost.php\');'),

	'adv_cmps_template' => array('title' => 'Группа шаблонов vBa CMPS', 'hookname' => 'template_groups', 'phpcode' => '$only[\'adv_portal\'] = $vbphrase[\'group_adv_cmps\'];')
);

// ############################################################################
// Основной файл
// ############################################################################

// ##### See if plugins are active ############################################
if (!$vbulletin->options['enablehooks'])
{
	print_install_table_start();

	$stepphrase = '<b>Внимание:</b> В данный момент модули глобально выключены. Чтобы все модули и продукты работали корректно, вам следует <a href="options.php?do=options&amp;dogroup=plugin" target="_blank">включить систему модулей</a>.';

	$_REQUEST['do'] = 'nohooks';
	$nextdo = 'installstart';

	print_install_table_end();
	exit;
}

// ##### Install Start ########################################################
if ($_REQUEST['do'] == 'installstart')
{
	print_install_table_start();

	$stepphrase = '<b>Добро пожаловать в vBadvanced ' . $scriptname . ' версия ' . $version . '.</b><br />Пожалуйста, выберите действие и нажмите кнопку \'Продолжить\'.';

	print_install_table_end();
}


// ##### Install ##############################################################
if ($_REQUEST['do'] == 'install')
{
	print_install_table_start();

	// Check for previous versions
	$db->reporterror = 0;
	$check = $db->query_first("SELECT varname FROM " . TABLE_PREFIX . "adv_setting WHERE varname = 'portal_version'");

	if ($check['varname'])
	{
		$stepphrase = 'vBadvanced ' . $scriptname . ' уже установлен!';
		print_description_row('<div style="padding:12px;">' . $stepphrase . '</div>');
		print_table_footer();
		exit;
	}

	$db->query_write("
	CREATE TABLE IF NOT EXISTS " . TABLE_PREFIX . "adv_setting (
		varname varchar(100) NOT NULL default '',
		grouptitle varchar(50) NOT NULL default '',
		value mediumtext NOT NULL default '',
		defaultvalue varchar(250) NOT NULL default '',
		optioncode mediumtext NOT NULL,
		displayorder smallint(3) unsigned NOT NULL default '0'
	) TYPE=MyISAM");

	$stepphrase = 'Создана таблица adv_setting.<br />';

	$db->query_write("
		CREATE TABLE IF NOT EXISTS " . TABLE_PREFIX . "adv_settinggroup (
			grouptitle varchar(50) NOT NULL default '',
			displayorder smallint(3) unsigned NOT NULL default '0',
			PRIMARY KEY (grouptitle)
		) TYPE=MyISAM
	");

	$stepphrase .= 'Создана таблица adv_settinggroup.<br />';

	$db->query_write("
		CREATE TABLE " . TABLE_PREFIX . "adv_modules (
			modid smallint(5) unsigned NOT NULL auto_increment,
			title varchar(100) NOT NULL default '',
			identifier varchar(100) NOT NULL default '',
			filename text NOT NULL,
			inctype varchar(20) NOT NULL default '',
			modcol smallint(3) unsigned NOT NULL default '0',
			displayorder smallint(5) unsigned NOT NULL default '0',
			templatelist TEXT NOT NULL default '',
			userperms varchar(255) NOT NULL default '',
			parent varchar(255) NOT NULL default '',
			active smallint(3) unsigned NOT NULL default '1',
			colspan smallint(3) unsigned NOT NULL default '0',
			formcode TEXT NOT NULL,
			cleanoutput smallint(3) unsigned NOT NULL default '0',
			useshell smallint(3) unsigned NOT NULL default '0',
			link varchar(255) NOT NULL default '',
			options text NOT NULL,
			code_parsed text NOT NULL,
			PRIMARY KEY (modid),
			KEY identifier (identifier)
		) TYPE=MyISAM
	");

	$stepphrase .= 'Создана таблица adv_modules.<br />';

	$db->query_write("
		CREATE TABLE " . TABLE_PREFIX . "adv_pages (
			pageid int(10) unsigned NOT NULL auto_increment,
			title varchar(100) NOT NULL default '',
			name varchar(100) NOT NULL default '',
			type varchar(50) NOT NULL default '',
			template text NOT NULL,
			parentid int(10) unsigned NOT NULL default '0',
			parentlist varchar(255) NOT NULL default '',
			modules mediumtext NOT NULL,
			advanced mediumtext NOT NULL,
			userperms varchar(255) NOT NULL default '',
			styleid smallint(5) unsigned NOT NULL default '0',
			active smallint(3) unsigned NOT NULL default '0',
			colspan smallint(3) unsigned NOT NULL default '0',
			formcode text NOT NULL,
			cleanoutput smallint(3) unsigned NOT NULL default '0',
			useshell smallint(34) unsigned NOT NULL default '0',
			custom_title varchar(255) NOT NULL default '',
			meta text NOT NULL,
			displayorder smallint(4) unsigned NOT NULL default '0',
			PRIMARY KEY (pageid),
			UNIQUE KEY name (name)
		) TYPE=MyISAM
	");

	$stepphrase .= 'Создана таблица adv_pages.<br /><br />';

	$db->query_write("INSERT INTO " . TABLE_PREFIX . "product (productid, title, description, version, active) VALUES ('adv_cmps', 'vBadvanced CMPS', 'Портальная Система Управления Содержимым vBadvanced', '" . $version . "', 1)");

	$stepphrase .= 'CMPS добавлена в продукты.<br /><br />';

	$db->query_write("INSERT INTO " . TABLE_PREFIX . "datastore (title) VALUES ('adv_portal_opts'), ('adv_modules'), ('adv_portal_page'), ('adv_portal_tpst')");

	$stepphrase .= 'Добавлены поля в таблицу datastore.<br /><br />';

	$db->query_write("ALTER TABLE " . TABLE_PREFIX . "session ADD newposts INT(10) UNSIGNED NULL");
	$stepphrase = 'В таблицу session добавлено поле newposts.<br /><br />';

	// Insert phrases
	$db->query_write("ALTER TABLE " . TABLE_PREFIX . "language ADD phrasegroup_adv_portal MEDIUMTEXT NOT NULL");
	$db->query_write("ALTER TABLE " . TABLE_PREFIX . "language ADD phrasegroup_adv_portal_cp MEDIUMTEXT NOT NULL");

	$db->query_write("INSERT INTO " . TABLE_PREFIX . "phrasetype (phrasetypeid, fieldname, title, editrows) VALUES (569, 'adv_portal', 'vBadvanced CMPS', 3)");
	$db->query_write("INSERT INTO " . TABLE_PREFIX . "phrasetype (phrasetypeid, fieldname, title, editrows) VALUES (570, 'adv_portal_cp', 'vBadvanced CMPS - панель админа', 3)");

	foreach ($mainphrases AS $phrasetypeid => $phrases)
	{
		foreach ($phrases AS $varname => $text)
		{
			insert_phrase();
		}
	}

	build_language(-1);

	$stepphrase .= 'Добавлены фразы.<br /><br />';

	insert_plugins();

	$stepphrase .= 'Добавлены модули.<br /><br />';

	// Insert templates
	foreach ($maintemplates AS $name => $content)
	{
		insert_template();
	}

	$stepphrase .= 'Добавлены шаблоны.<br /><br />';

	// Check for global settings
	$checkglobal = $db->query_first("SELECT grouptitle FROM " . TABLE_PREFIX . "adv_settinggroup WHERE grouptitle = 'adv_global'");

	if ($checkglobal['grouptitle'])
	{
		unset($sgarray['adv_global']);
	}

	// Settinggroups
	foreach ($adv_settinggroups AS $grouptitle => $order)
	{
		$db->query_write("INSERT INTO " . TABLE_PREFIX . "adv_settinggroup (grouptitle, displayorder) VALUES ('$grouptitle', '$order')");
	}

	// Settings
	foreach ($mainsettings AS $grouptitle => $settingsarray)
	{
		foreach ($settingsarray AS $varname => $setting)
		{
			insert_setting();
		}
	}

	build_adv_settings();

	$stepphrase .= 'Добавлены параметры.<br /><br />';

	// Insert modules
	foreach ($vba_modules AS $modid => $module)
	{
		$module['modid'] = $modid;
		$db->query_read(fetch_query_sql($module, 'adv_modules'));
	}

	$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET userperms = '" . implode(',', array_keys($vbulletin->usergroupcache)) . "'");

	$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET userperms = '5,6' WHERE modid = 8");

	$module = array();
	$modids = array();
	$mods = $db->query_read("SELECT * FROM " . TABLE_PREFIX . "adv_modules WHERE active = 1");
	while ($mod = $db->fetch_array($mods))
	{
		$modids[] = $mod['modid'];
		$module[] = $mod;
	}
	build_datastore('adv_modules', serialize($module));

	$stepphrase .= 'Добавлены модули.<br /><br />';

	$db->query_write("INSERT INTO " . TABLE_PREFIX . "adv_pages (pageid, title, name, type, template, parentid, parentlist, modules, advanced, userperms, styleid, active, colspan, formcode, cleanoutput, useshell, custom_title) VALUES (1, 'Домашняя страница', 'home', 'module', '', 0, '1', '', '', '" . implode(',', (array_keys($vbulletin->usergroupcache))) . "', 0, 1, 0, '', 0, 0, '')");

	$db->query_write("UPDATE " . TABLE_PREFIX . "adv_pages SET modules = '" . implode(',', $modids) . "'");

	$stepphrase .= 'Добавлена домашняя страница<br />';
	$rebuildtemp = true;
	$nextstep = 1;
	$nextdo = 'alttables';

	construct_hidden_code('redirect', 'doimages');

	print_install_table_end();

}

// ##### Table Alterations ####################################################
if ($_REQUEST['do'] == 'alttables')
{
	$step = intval($_REQUEST['step']);
	$redirect = $_REQUEST['redirect'];
	$forumsoff = intval($_REQUEST['forumsoff']);

	if (!$step)
	{
		$step = 1;
	}

	$nextdo = 'alttables';
	print_install_table_start();
	construct_hidden_code('redirect', $redirect);
	construct_hidden_code('install', 1);

	switch ($step)
	{
		case 1:
			if ($vbulletin->options['bbactive'])
			{
				print_description_row('Пожалуйста, выключите ваш форум перед тем как продолжить.', '', 2, 'thead');
				print_textarea_row('Сообщение о закрытии форума:', 'closedmessage', $vbulletin->options['bbclosedreason'], 4, 40, 1, 0);
				$nextdo = 'closeforums';
				break;
			}
		case 2:

			$stepphrase = 'Добавляем index в таблицу user.<br />';
			flush();
			add_table_index('user', 'posts');

		break;

		case 3:
			$stepphrase = 'Добавляем index в таблицу thread.<br />';
			flush();
			add_table_index('thread', 'lastpost');

		break;

		case 4:
			$stepphrase = 'Добавляем index в таблицу post.<br />';
			flush();
			add_table_index('post', 'dateline');
			$nextdo = $redirect;

			if ($forumsoff)
			{
				$db->query("UPDATE " . TABLE_PREFIX . "setting SET value = 1 WHERE varname = 'bbactive'");
				build_options();

				$stepphrase .= '<br />Ваш форум снова открыт.';
			}
		break;
	}

	print_install_table_end();

}

// ##### Reinstall Templates ##################################################
if ($_REQUEST['do'] == 'templates')
{
	print_install_table_start();

	foreach ($maintemplates AS $name => $content)
	{
		insert_template();
	}

	$stepphrase = 'Шаблоны переустановлены.<br /><br />';
	$rebuildtemp = true;
	$nextdo = 'finished';

	print_install_table_end();
}

// ##### Reinstall Phrases ####################################################
if ($_REQUEST['do'] == 'phrases')
{
	print_install_table_start();

	foreach ($mainphrases AS $phrasetypeid => $phrases)
	{
		foreach ($phrases AS $varname => $text)
		{
			insert_phrase();
		}
	}

	build_language(-1);

	$stepphrase .= 'Фразы переустановлены.<br /><br />';
	$nextdo = 'finished';

	print_install_table_end();
}

// ##### Reinstall Settings ###################################################
if ($_REQUEST['do'] == 'settings')
{
	print_install_table_start();

	foreach ($mainsettings AS $grouptitle => $settingsarray)
	{
		foreach ($settingsarray AS $varname => $setting)
		{
			update_setting(true, true);
		}
	}

	build_language(-1);

	$stepphrase .= 'Параметры переустановлены.<br /><br />';
	$nextdo = 'finished';

	print_install_table_end();
}

// ##### Close Forums #########################################################
if ($_REQUEST['do'] == 'closeforums')
{
	$db->query_write("UPDATE " . TABLE_PREFIX . "setting SET value = 0 WHERE varname = 'bbactive'");
	$db->query_write("UPDATE " . TABLE_PREFIX . "setting SET value = '" . addslashes($_POST['closedmessage']) . "' WHERE varname = 'bbclosedreason'");

	build_options();

	print_cp_redirect($scriptfile . '.php?do=' . iif($_POST['install'], 'alttables', 'uninstall') . '&step=' . $_POST['step'] . '&forumsoff=1&redirect=' . $_POST['redirect']);
}

// ##### Finish Install #######################################################
if ($_REQUEST['do'] == 'finished')
{
	print_install_table_start();

	@chmod('./modules', 0777);

	$stepphrase = 'Установка vBadvanced ' . $scriptname . ' завершена!<br /><br /><span style="color:red"><b>

	' . iif(!is_writable('./modules'), 'ВАЖНО: Ваша директория modules недоступна для записи. Из-за этого вы не сможете использовать быструю загрузку модулей через панель администратора. Чтобы исправить эту проблему установите права (chmod) на вашу директорию modules - 777.<br /><br />') . '

	Теперь вам следует удалить этот файл. Это следует сделать в целях безопасности.</b></span><br /><br /><a href="index.php"><b>Вход в панель администратора --&gt;</b></a><br /><br />
	<a href="vbacmps_install.php">Нажмите здесь</a>, чтобы вернуться в главное меню установки.
	';

	$nocontinue = 1;
	print_install_table_end();

}

// ##### Update Image Paths ###################################################
if ($_REQUEST['do'] == 'doimages')
{
	$perpage = 50;

	$vbulletin->input->clean_array_gpc('r', array('pagenumber' => TYPE_INT, 'type' => TYPE_STR));

	$pagenumber = $vbulletin->input->clean_gpc('r', 'pagenumber');
	$type = $vbulletin->input->clean_gpc('r', 'type');

	if (!$type)
	{
		$type = 'icons';
	}

	function do_path_check($imageurl)
	{
		global $vbulletin;

		$paths = array();

		if (is_file('./' . $imageurl))
		{
			$paths['checked'] = 'checked="checked"';
			$paths['class'] = fetch_row_bgclass();
			$paths['newpath'] = $vbulletin->options['bburl'] . '/' . $imageurl;
		}
		else if (@getimagesize($vbulletin->options['bburl'] . '/' . $imageurl))
		{
			$paths['checked'] = 'checked="checked"';
			$paths['class'] = fetch_row_bgclass();
			$paths['newpath'] = $vbulletin->options['bburl'] . '/' . $imageurl;
		}
		else if (@getimagesize('../' . $imageurl))
		{
			$paths['checked'] = '';
			$paths['class'] = fetch_row_bgclass();
			$paths['newpath'] = $imageurl;
		}
		else if (@fopen($imageurl, "r"))
		{
			$paths['checked'] = '';
			$paths['class'] = fetch_row_bgclass();
			$paths['newpath'] = $imageurl;
		}
		else
		{
			$paths['checked'] = '';
			$paths['class'] = 'redalert';
			$paths['newpath'] = $imageurl;
		}

		return $paths;
	}

	print_form_header($scriptfile, 'updateimages');
	print_table_header('Путь к изображениям', 5);
	print_description_row('В этой части процесса установки мы попытаемся обновить все ваши изображения, которые будут использоваться в vBadvanced. Проверьте, что все изображения отображаются здесь правильно!<br /><br />
	В большинстве случаев нет необходимости делать какие-либо изменения здесь. Если текущее изображение уже имеет правильный путь, то ячейка "Обновить" не будет отмечена, так как ничего не нужно изменять. Если же изображение не имеет корректного пути, но скрипт способен определить его, то ячейка "Обновить" будет отмечена и вероятный адрес будет указан. Если же скрипт не может определить путь, то содержимое будет отмечено <font color="red">красным</font> цветом и вам следует исправить путь самостоятельно.', 0, 5);
	print_table_break();

	if (!intval($pagenumber))
	{
		$pagenumber = 1;
	}

	$minlimit = intval(($pagenumber - 1) * $perpage + 1);
	$maxlimit = intval($pagenumber * $perpage);

	switch ($type)
	{
		case 'icons':
			if ($vbulletin->options['cleargifurl'] != 'clear.gif' AND $pagenumber == 1)
			{
				print_table_break();
				print_table_header('Адрес Clear Gif', 5);
				print_yes_no_row('Оказалось, что ваш параметр "cleargifurl" был изменён с значения по умолчанию на "' . $vbulletin->options['cleargifurl'] . '". <i>Вероятно</i>, это произошло из-за предыдущей установки vBadvanced. Была обнаружена проблемы при использовании полного пути к этому изображению. Если вы желаете вернуть этот параметр назад на значение по умолчанию "clear.gif", просто выберите \'Да\'. Если же вы не желаете изменять это изображение - просто выберите \'Нет\'.', 'updateclear', 1);
				print_table_break();
			}

			if ($vbulletin->options['showdeficon'] AND $pagenumber == 1)
			{
				print_table_break();

				print_table_header('Иконка сообщений по умолчанию', 5);

				print_cells_row(array('Обновить?', 'Название изображения', 'Новый адрес', 'Текущее изображение', 'Новое изображение'), 'thead');

				$paths = do_path_check($vbulletin->options['showdeficon']);

				echo '<tr class="' . $paths['class'] . '"><td align="center"><input type="checkbox" name="updatedicon" ' . $paths['checked'] . ' value="1" /></td><td>deficon</td><td align="center"><input name="deficon" type="text" value="' . $paths['newpath'] . '" size="50" /></td><td align="center"><img src="' . $vbulletin->options['showdeficon'] . '" /></td><td align="center"><img src="' . $paths['newpath'] . '" /></td></tr>';
				print_table_break();
			}

			print_table_header('Обновление путей к иконкам', 5);
			$counticons = $db->query_first("SELECT COUNT(*) AS count FROM " . TABLE_PREFIX . "icon WHERE iconpath NOT LIKE '" . $vbulletin->options['bburl'] . "%'");

			if (!$counticons['count'])
			{
				$nextpage = 1;
				$type = 'smilies';
				print_description_row('Ни одна иконка не нуждается в обновлении. Нажмите на &quot;Сохранить&quot; для продолжения', '', 5);
			}
			else
			{

				print_cells_row(array('<input type="checkbox" name="allbox" title="Отметить всё" onclick="js_check_all(this.form);" checked="checked" /> Обновить?', 'Название изображения', 'Новый адрес', 'Текущее изображение', 'Новое изображение'), 'thead');

				$nextpage = $pagenumber + 1;

				if ($maxlimit > $counticons['count'])
				{
					$maxlimit = $counticons['count'];
					$nextpage = 1;
					$type = 'smilies';
				}
				if ($minlimit > $counticons['count'])
				{
					$minlimit = $counticons['count'] - $perpage;
				}

				if ($minlimit < 0)
				{
					$minlimit = 1;
				}

				$icons = $db->query("
						SELECT *
						FROM " . TABLE_PREFIX . "icon
						WHERE iconpath NOT LIKE '" . $vbulletin->options['bburl'] . "%'
						ORDER BY iconid
						LIMIT " . ($minlimit - 1) . ", $perpage
				");
				while ($icon = $db->fetch_array($icons))
				{
					construct_hidden_code('title[' . $icon['iconid'] . ']', $icon['title']);

					$paths = do_path_check($icon['iconpath']);

					echo '<tr class="' . $paths['class'] . '"><td align="left"><input type="checkbox" name="updateicon[' . $icon['iconid'] . ']" ' . $paths['checked'] . ' value="1" /></td><td>' . stripslashes($icon['title']) . '</td><td align="center"><input name="iconpath[' . $icon['iconid'] . ']" type="text" value="' . $paths['newpath'] . '" size="50" /></td><td align="center"><img src="' . $icon['iconpath'] . '" /></td><td align="center"><img src="' . $paths['newpath'] . '" /></td></tr>';

				}
			}
			print_table_break();

		break;

		case 'smilies':

			print_table_header('Обновление путей к смайлам', 5);


			$countsmilies = $db->query_first("SELECT COUNT(*) AS count FROM " . TABLE_PREFIX . "smilie WHERE smiliepath NOT LIKE '" . $vbulletin->options['bburl'] . "%'");

			$nextpage = $pagenumber + 1;

			if (!$countsmilies['count'])
			{
				$nextpage = 1;
				$type = 'styleimages';
				print_description_row('Ни один смайл не нуждается в обновлении. Нажмите на &quot;Сохранить&quot; для продолжения', '', 5);
			}
			else
			{

				if ($maxlimit > $countsmilies['count'])
				{
					$maxlimit = $countsmilies['count'];
					$nextpage = 1;
					$type = 'styleimages';
				}
				if ($minlimit > $countsmilies['count'])
				{
					$minlimit = $countsmilies['count'] - $perpage;
				}

				if ($minlimit < 0)
				{
					$minlimit = 1;
				}

				print_cells_row(array('<input type="checkbox" name="allbox" title="Отметить всё" onclick="js_check_all(this.form);" checked="checked" /> Обновить?', 'Название изображения', 'Новый адрес', 'Текущее изображение', 'Новое изображение'), 'thead');

				$smilies = $db->query("
						SELECT * FROM " . TABLE_PREFIX . "smilie
						WHERE smiliepath NOT LIKE '" . $vbulletin->options['bburl'] . "%'
						ORDER BY smilieid
						LIMIT " . ($minlimit - 1) . ", $perpage
				");
				while ($smilie = $db->fetch_array($smilies))
				{
					construct_hidden_code('title[' . $smilie['smilieid'] . ']', $smilie['title']);

					$paths = do_path_check($smilie['smiliepath']);

					echo '<tr class="' . $paths['class'] . '"><td align="left"><input type="checkbox" name="updatesmilie[' . $smilie['smilieid'] . ']" ' . $paths['checked'] . 'value="1" /></td><td>' . stripslashes($smilie['title']) . '</td><td align="center"><input name="smiliepath[' . $smilie['smilieid'] . ']" type="text" value="' . $paths['newpath'] . '" size="50" /></td><td align="center"><img src="' . $smilie['smiliepath'] . '" /></td><td align="center"><img src="' . $paths['newpath'] . '" /></td></tr>';
				}
			}

		break;

		case 'styleimages':

			print_table_header('Обновление путей к стилям', 5);
			print_cells_row(array('<input type="checkbox" name="allbox" title="Отметить всё" onclick="js_check_all(this.form);" checked="checked" /> Обновить?', 'Переменная стиля', 'Новый адрес', 'Проверка изображения'), 'thead');

			// Get image titles & paths
			$scache = array();
			$styleimages = $db->query("
					SELECT * FROM " . TABLE_PREFIX . "template
					WHERE title IN('imgdir_attach', 'imgdir_button', 'imgdir_editor', 'imgdir_misc', 'imgdir_poll', 'imgdir_rating', 'imgdir_reputation', 'imgdir_statusicon', 'titleimage')
			");
			while ($simage = $db->fetch_array($styleimages))
			{
				$scache["$simage[styleid]"]["$simage[title]"] = $simage['template'];
			}

			// Images to check for
			$stylechecks['imgdir_attach'] = '/attach.gif';
			$stylechecks['imgdir_button'] = '/reply_small.gif';
			$stylechecks['imgdir_editor'] = '/quote.gif';
			$stylechecks['imgdir_misc'] = '/stats.gif';
			$stylechecks['imgdir_poll'] = '/bar6-l.gif';
			$stylechecks['imgdir_rating'] = '/rating_5.gif';
			$stylechecks['imgdir_reputation'] = '/reputation_pos.gif';
			$stylechecks['imgdir_statusicon'] = '/forum_new.gif';

			// Get styles
			$styles = $db->query("SELECT styleid, title FROM " . TABLE_PREFIX . "style WHERE styleid != '-1' ORDER BY styleid, title");
			while ($style = $db->fetch_array($styles))
			{
				print_table_header($style['title'], 4, 0, '', $stylevar['left']);

				if (empty($scache["$style[styleid]"]))
				{
					$scache["$style[styleid]"] = $scache['-1'];
				}

				foreach ($scache["$style[styleid]"] AS $varname => $imgpath)
				{
					$imgcheck = $stylechecks["$varname"];

					$paths = do_path_check($imgpath . $imgcheck);

					echo '<tr class="' . $paths['class'] . '"><td align="left"><input type="checkbox" name="updatepath[' . $style['styleid'] . '][' . $varname . ']" ' . $paths['checked'] . ' value="1" /></td><td>' . $varname . '</td><td align="center"><input name="stylepath[' . $style['styleid'] . '][' . $varname . ']" type="text" value="' . substr($paths['newpath'], 0, intval(strlen($paths['newpath']) - strlen($imgcheck))) . '" size="50" /></td><td align="center"><img src="' . $paths['newpath'] . '" /></td></tr>';
				}
			}
		break;

		print_table_break();
		break;
	}

	construct_hidden_code('type', $type);
	construct_hidden_code('nextpage', $nextpage);
	print_submit_row('Сохранить', 'Сбросить', 5);
}

// ##### Do Update Image Paths ################################################
if ($_POST['do'] == 'updateimages')
{
	$vbulletin->input->clean_array_gpc('p', array('updateicon', 'iconpath', 'updatesmilie', 'smiliepath', 'updatepath', 'stylepath', 'type' => TYPE_STR, 'nextpage' => TYPE_INT));

	$updateicon = $vbulletin->input->clean_gpc('p', 'updateicon');
	$iconpath = $vbulletin->input->clean_gpc('p', 'iconpath');
	$updatesmilie = $vbulletin->input->clean_gpc('p', 'updatesmilie');
	$smiliepath = $vbulletin->input->clean_gpc('p', 'smiliepath');
	$updatepath = $vbulletin->input->clean_gpc('p', 'updatepath');
	$stylepath = $vbulletin->input->clean_gpc('p', 'stylepath');
	$type = $vbulletin->input->clean_gpc('p', 'type');
	$nextpage = $vbulletin->input->clean_gpc('p', 'nextpage');

	if (is_array($updatepath))
	{
		foreach ($updatepath AS $sid => $values)
		{
			foreach ($values AS $var => $update)
			{
				if ($update)
				{
					$newtemp = $stylepath["$sid"]["$var"];
					if ($checkit = $db->query_first("SELECT title FROM " . TABLE_PREFIX . "template WHERE title = '$var' AND styleid = '$sid'"))
					{
						$db->query_write("UPDATE " . TABLE_PREFIX . "template SET template = '$newtemp' WHERE title = '$var' AND styleid = '$sid'");
					}
					else
					{
						$db->query_write("INSERT INTO " . TABLE_PREFIX . "template (styleid, title, template, templatetype, dateline, username) VALUES ('$sid', '$var', '$newtemp', 'stylevar', '" . TIMENOW . "', '$bbuserinfo[username]')");
					}
				}
			}
		}
		build_all_styles(0, 0, $scriptfile . '.php?do=install&step=finished');
	}

	// Update Icons
	if (is_array($updateicon))
	{
		echo '<b>Обновление иконок...</b><br />';
		foreach ($iconpath AS $key => $val)
		{
			if ($updateicon["$key"])
			{
				$db->query_write("UPDATE " . TABLE_PREFIX . "icon SET iconpath = '$val' WHERE iconid = '$key'");
				echo '<span class="smallfont">Обновлённое изображение: ' . $title[$key] . ' (' . $val . ')</span><br />';
			}
		}
		build_image_cache('icon');
	}

	// Update Smilies
	if (is_array($updatesmilie))
	{
		echo '<br /><br /><b>Обновление смайлов...</b><br />';
		foreach ($smiliepath AS $key => $val)
		{
			if ($updatesmilie["$key"])
			{
				$db->query_write("UPDATE " . TABLE_PREFIX . "smilie SET smiliepath = '$val' WHERE smilieid = '$key'");
				echo '<span class="smallfont">Обновлённое изображение: ' . $title[$key] . ' (' . $val . ')</span><br />';
			}
		}
		build_image_cache('smilie');
	}

	if ($_POST['updateclear'])
	{
		$db->query_write("UPDATE " . TABLE_PREFIX . "setting SET value = 'clear.gif' WHERE varname = 'cleargifurl'");
		echo '<br />clear.gif обновлён.<br />';
		build_options();
	}

	if ($_POST['updatedicon'])
	{
		$db->query_write("UPDATE " . TABLE_PREFIX . "setting SET value = '$deficon' WHERE varname = 'showdeficon'");
		echo '<br />showdeficon обновлён.<br />';
		build_options();
	}

	if ($nextpage)
	{
		print_cp_redirect($scriptfile . '.php?do=doimages&type=' . $type . '&pagenumber=' . $nextpage);
	}
	else
	{
		print_cp_redirect($scriptfile . '.php?do=finished');
	}
}

// ##### Upgrade ##############################################################
if ($_REQUEST['do'] == 'upgrade')
{
	$step = intval($_REQUEST['step']);

	print_install_table_start('Обновление vBadvanced ' . $scriptname, 'upgrade');

	$vcheck = $db->query_first("SELECT * FROM " . TABLE_PREFIX . "adv_setting WHERE varname = 'portal_version'");

	if ($vcheck['value'] == $version)
	{
		$stepphrase = 'Вы уже используете текущую версию vBadvanced ' . $scriptname . '!';
		$nocontinue = 1;
	}
	else if (!$vcheck['value'])
	{
		$stepphrase = 'vBadvanced ' . $scriptname . ' не установлен! Выберите в главном меню установку портала.';
		$nocontinue = 1;
	}
	else
	{
		switch ($vcheck['value'])
		{
			case 'RC2':
			case '1.0.0':

				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_settinggroup SET displayorder = displayorder+1 WHERE grouptitle LIKE 'adv_portal%'");

				$checkglobal = $db->query_first("SELECT grouptitle FROM " . TABLE_PREFIX . "adv_settinggroup WHERE grouptitle = 'adv_global'");

				if (!$checkglobal['grouptitle'])
				{
					$db->query_write("INSERT INTO " . TABLE_PREFIX . "adv_settinggroup VALUES ('adv_global', 1)");
					insert_phrase('settinggroup_adv_global', 'Основные настройки vBadvanced', 5000);
				}


			case '1.0.1':

				// Alter module table
				$db->query_write("
					ALTER TABLE " . TABLE_PREFIX . "adv_modules
					ADD parent varchar(255) NOT NULL default '',
					ADD colspan smallint(3) unsigned NOT NULL default '0',
					ADD formcode text NOT NULL,
					ADD cleanoutput smallint(3) unsigned NOT NULL default '0',
					ADD useshell smallint(3) unsigned NOT NULL default '0',
					ADD link varchar(255) NOT NULL default '',
					ADD options text NOT NULL,
					CHANGE filename filename text NOT NULL,
					CHANGE inctype inctype varchar(20) NOT NULL default ''
				");
				$stepphrase .= 'В таблицу adv_modules добавлены новые поля.<br />';

				// Alter page table
				$db->query_write("
					ALTER TABLE " . TABLE_PREFIX . "adv_pages ADD type varchar(50) NOT NULL default '' AFTER name,
					ADD parentid int(10) unsigned NOT NULL default '0' AFTER template,
					ADD parentlist varchar(255) NOT NULL default '' AFTER template,
					ADD active smallint(3) unsigned NOT NULL default '0',
					ADD colspan smallint(3) unsigned NOT NULL default '0',
					ADD formcode text NOT NULL,
					ADD cleanoutput smallint(3) unsigned NOT NULL default '0',
					ADD useshell smallint(34) unsigned NOT NULL default '0',
					ADD custom_title varchar(255) NOT NULL default '',
					CHANGE template template text NOT NULL
				");
				$stepphrase .= 'В таблицу adv_pages добавлены новые поля.<br /><br />';

				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_pages SET active = 1");
				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_pages SET type = 'template' WHERE template != ''");
				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_pages SET type = 'module' WHERE type = ''");

				$getpsetting = $db->query_read("SELECT pageid, advanced FROM " . TABLE_PREFIX . "adv_pages WHERE advanced != ''");
				while ($psetting = $db->fetch_array($getpsettings))
				{
					$psetting['advanced'] = unserialize($psetting['advanced']);
					$pagesettings = array();
					if (!empty($psetting['advanced']))
					{
						foreach ($psetting['advanced'] AS $varname => $value)
						{
							$sgroup = $db->query_first("SELECT grouptitle FROM " . TABLE_PREFIX . "adv_setting WHERE varname = '$varname'");
							$pagesettings["$sgroup[grouptitle]"]["$varname"] = $value;
						}
					}
					$db->query_write("UPDATE " . TABLE_PREFIX . "adv_pages SET advanced = '" . serialize($pagesettings) . "' WHERE pageid = '$psetting[pageid]'");
				}

				$stepphrase = 'Обновлены параметры страницы.<br /><br />';

				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET inctype = 'php_file' WHERE inctype = 0");
				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET inctype = 'template' WHERE inctype = 1");
				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET inctype = 'custom' WHERE inctype = 2");

				$db->query_write("INSERT INTO " . TABLE_PREFIX . "datastore (title) VALUES ('adv_portal_page')");

				// Update module usergroup perms
				$getoldmods = $db->query_read("SELECT modid, userperms FROM " . TABLE_PREFIX . "adv_modules");
				while ($oldmod = $db->fetch_array($getoldmods))
				{
					if (!$oldmod['userperms'])
					{
						$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET userperms = '" . implode(',', array_keys($vbulletin->usergroupcache)) . "' WHERE modid = '$oldmod[modid]'");
					}
				}

				// Update Modules
				foreach ($vba_modules AS $modid => $module)
				{
					if (in_array($module['identifier'], array('navigation', 'birthdays')))
					{
						if ($module['identifier'] == 'navigation')
						{
							$module['active'] = 0;
						}
						$module['userperms'] = implode(',', array_keys($vbulletin->usergroupcache));
						$db->query_read(fetch_query_sql($module, 'adv_modules'));
					}
					else
					{

						$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET identifier = '$module[identifier]', inctype = '$module[inctype]', templatelist = '$module[templatelist]', parent = '$module[parent]', colspan = '$module[colspan]', formcode = '$module[formcode]', useshell = '$module[useshell]', link = '$module[link]' WHERE filename = '$module[filename]' " . iif(in_array($module['filename'], array('news.php', 'onlineusers.php')), "AND identifier = '$module[identifier]'"));
					}
				}

				update_module_cache();

				$stepphrase .= 'Модули обновлены.<br /><br />';

				// Update settings

				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_setting SET grouptitle = 'adv_portal_calendar' WHERE varname = 'portal_calendarid'");
				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_setting SET grouptitle = 'adv_portal_style' WHERE varname IN('portal_shownavbar', 'portal_colspacing', 'portal_rightcolwidth', 'portal_leftcolwidth', 'portal_blockbullet')");

				$db->query_write("INSERT INTO " . TABLE_PREFIX . "adv_settinggroup VALUES ('adv_portal_style', 3)");

				$db->query_write("DELETE FROM " . TABLE_PREFIX . "template WHERE title IN('adv_portal', 'adv_portal_buddylist', 'adv_portal_buddylistbits', 'adv_portal_calendar', 'adv_portal_latesttopicbits', 'adv_portal_latesttopics', 'adv_portal_moderation', 'adv_portal_newsbits', 'adv_portal_news_archive', 'adv_portal_news_archivebits', 'adv_portal_onlineusers', 'adv_portal_poll', 'adv_portal_polloption', 'adv_portal_polloption_multiple', 'adv_portal_pollresult', 'adv_portal_search', 'adv_portal_stats', 'adv_portal_welcomeblock')");

				$chpoll = $db->query_first("SELECT value FROM " . TABLE_PREFIX . "adv_setting WHERE varname = 'portal_poll_forumid'");

				// Check poll value
				if ($chpoll['value'] == 'RAND')
				{
					$db->query_write("UPDATE " . TABLE_PREFIX . "adv_setting SET value = '" . implode(',', array_keys($vbulletin->forumcache)) . "' WHERE varname = 'portal_poll_forumid'");
					$db->query_write("UPDATE " . TABLE_PREFIX . "adv_setting SET value = 'rand' WHERE varname = 'portal_poll_orderby'");
				}

			case '2.0 RC1 (vB 3.5)':
			case '2.0 RC1':

				// Alter adv_pages table to include meta and displayorder
				$db->query_write("ALTER TABLE " . TABLE_PREFIX . "adv_pages ADD meta TEXT NOT NULL, ADD displayorder SMALLINT(4) UNSIGNED DEFAULT '0' NOT NULL");

				kill_phrase('edit_template_in_style', 570);

				$stepphrase .= 'Фразы обновлены.<br /><br />';

			case '2.0 RC2 (vB 3.5)':
			case '2.0 RC2':

				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET colspan = 6 WHERE identifier = 'newsarchive'");
				$stepphrase .= 'Обновлено значение colspan для архива новостей.<br /><br />';

				kill_phrase('adv_portal_must_choose_file_include', 1000);

			case '2.0.0':

				// Update module links & form code
				$getmods = $db->query("SELECT modid, formcode, link FROM " . TABLE_PREFIX . "adv_modules");
				while ($mod = $db->fetch_array($getmods))
				{
					$mod['link'] = str_replace('$vboptions[bburl]', '{$vbulletin->options[bburl]}', $mod['link']);
					$mod['formcode'] = str_replace('$vboptions[bburl]', '{$vbulletin->options[bburl]}', $mod['formcode']);

					$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET formcode = '$mod[formcode]', link = '$mod[link]' WHERE modid = '$mod[modid]'");
				}

				foreach ($vba_modules AS $modid => $module)
				{
					if ($module['link'])
					{
						$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET link = '" . addslashes($module['link']) . "' WHERE identifier = '$module[identifier]'");
					}
				}

				update_module_cache();

			case '2.0.0 (vB 3.5)':

				$db->query_write("ALTER TABLE " . TABLE_PREFIX . "adv_modules, ADD COLUMN code_parsed text NOT NULL");
				$stepphrase .= 'В таблицу adv_modules добавлена колонка code_parsed.<br /><br />';

				$db->query_write("ALTER TABLE " . TABLE_PREFIX . "adv_modules CHANGE templatelist templatelist TEXT NOT NULL");
				$stepphrase .= 'В таблице adv_modules увеличено допустмое количество символов поля templatelist.';

				$freplace = $db->query_first("SELECT value FROM " . TABLE_PREFIX . "adv_setting WHERE varname = 'global_footer_replace'");

				$freplace['value'] = explode("\r\n", $freplace['value']);

				if (!in_array('profile.php', $freplace['value']))
				{
					$freplace['value'][] = 'profile.php';

					$db->query_write("UPDATE " . TABLE_PREFIX . "adv_setting SET value = '" . addslashes(implode("\r\n", $freplace['value'])) . "' WHERE varname = 'global_footer_replace'");
					$stepphrase = 'В замены footer добавлен profile.php.<br /><br />';
				}

				$db->query_write("ALTER TABLE " . TABLE_PREFIX . "session ADD newposts INT(10) UNSIGNED NULL");
				$stepphrase = 'В таблицу session добавлено поле newposts.<br /><br />';

				include_once('./includes/class_bbcode.php');
				include_once('./includes/functions_forumdisplay.php');

				$bbcode_parser =& new vB_BbCodeParser($vbulletin, fetch_tag_list());

				$getmods = $db->query("SELECT modid, filename, options FROM " . TABLE_PREFIX . "adv_modules WHERE inctype = 'bb_code'");
				while ($mod = $db->fetch_array($getmods))
				{
					$setting = unserialize($mod['options']);

					$db->query_write("UPDATE " . TABLE_PREFIX . "adv_modules SET code_parsed = '" . addslashes($bbcode_parser->do_parse($mod['filename'], $setting['allow_html'], $setting['allow_smilies'], 1, $setting['allow_image_code'])) . "' WHERE modid = '$mod[modid]'");
				}
				$stepphrase = 'Обновлен модуль BB кодов.<br /><br />';

				$db->query_write("INSERT INTO " . TABLE_PREFIX . "product (productid, title, description, version, active) VALUES ('adv_cmps', 'vBadvanced CMPS', 'Портальная Система Управления Содержимым vBadvanced', '" . $version . "', 1)");

				$stepphrase .= 'CMPS добавлен в продукты.<br /><br />';

				$db->query_write("UPDATE " . TABLE_PREFIX . "plugin SET devkey = 'adv_error' WHERE devkey = 'vba_error'");

				insert_plugins();
				$stepphrase .= 'Добавлены / Обновлены модули форума.<br /><br />';

				// Update Templates
				foreach ($maintemplates AS $name => $content)
				{
					insert_template();
				}

				$rebuildtemp = true;

				$stepphrase .= 'Шаблоны обновлены.<br /><br />';

				// Update Phrases
				foreach ($mainphrases AS $phrasetypeid => $phrases)
				{
					foreach ($phrases AS $varname => $text)
					{
						$checkphrase = $db->query_first("SELECT varname FROM " . TABLE_PREFIX . "phrase WHERE varname = '$varname'");
						if (!$checkphrase['varname'])
						{
							insert_phrase();
						}
					}

					$db->query_write("UPDATE " . TABLE_PREFIX . "phrase SET product = 'adv_cmps' WHERE phrasetypeid = '$phrasetypeid' AND varname IN('" . implode('\', \'', array_keys($phrases)) . "')");
				}

				build_language(-1);

				$stepphrase .= 'Добавлены / обновлены фразы.<br /><br />';

				// Settings
				foreach ($mainsettings AS $grouptitle => $settingsarray)
				{
					foreach ($settingsarray AS $varname => $setting)
					{
						$checksetting = $db->query_first("SELECT varname FROM " . TABLE_PREFIX . "adv_setting WHERE varname = '$setting[varname]' AND grouptitle = '$setting[grouptitle]'");

						if ($checksetting['varname'])
						{
							update_setting();
						}
						else
						{
							insert_setting();
						}
					}
				}

				$stepphrase .= 'Добавлены новые параметры.<br /><br />';


				$db->query_write("INSERT INTO " . TABLE_PREFIX . "datastore (title) VALUES ('adv_portal_tpst')");
				$stepphrase .= 'В таблицу datastore добавлено поле последнего ответившего в теме.<br /><br />';

				$db->query_write("UPDATE " . TABLE_PREFIX . "adv_setting SET value = '$version' WHERE varname = 'portal_version'");

				$stepphrase .= 'Обновлен номер версии.<br /><br />';

				build_adv_settings();

				update_page_cache();

				if (in_array($vcheck['value'], array('1.0.0', '1.0.1', 'RC2')))
				{
					construct_hidden_code('redirect', 'finished');
					$nextdo = 'alttables';
				}
				else
				{
					$nextdo = 'finished';
				}

			break;

			default:
				$stepphrase = 'Вы используете версию vBadvanced CMPS старше, чем 1.0.0. Пожалуйста, обновитесь сначала до 1.0.0 или 1.0.1.';
		}
	}

	print_install_table_end();

}

// ##### Uninstall ############################################################
if ($_REQUEST['do'] == 'uninstall')
{
	$step = $_REQUEST['step'];
	$forumsoff = intval($_REQUEST['forumsoff']);

	print_install_table_start('Удаление vBadvanced ' . $scriptname, 'uninstall');

	$db->reporterror = 0;

	switch ($step)
	{
		case 1:
			$stepphrase = 'Жаль, что вам не понравилась vBadvanced ' . $scriptname . '. Этот скрипт удалит все изменения, сделанные при установке vBadvanced ' . $scriptname . '.</div>';
		break;

		case 2:

			if ($vbulletin->options['bbactive'])
			{
				print_description_row('Пожалуйста, выключите форум перед продолжением', '', 2, 'thead');
				print_textarea_row('Сообщение о закрытии форума:', 'closedmessage', $vbulletin->options['bbclosedreason'], 4, 40, 1, 0);
				construct_hidden_code('redirect', 'uninstall');
				$nextdo = 'closeforums';
			}
			else
			{
				print_cp_redirect($scriptfile . '.php?do=uninstall&amp;step=3');
			}

		break;

		case 3:

			$db->query_write("DROP TABLE " . TABLE_PREFIX . "adv_modules");
			$db->query_write("DROP TABLE " . TABLE_PREFIX . "adv_pages");

			$stepphrase .= 'Таблицы удалены.<br /><br />';

			foreach ($mainphrases AS $phrasetypeid => $phrases)
			{
				foreach ($phrases AS $varname => $text)
				{
					kill_phrase($phrase['varname'], $phrase['ptype']);
				}
			}

			$db->query_write("DELETE FROM " . TABLE_PREFIX . "phrasetype WHERE phrasetypeid IN(569,570)");

			$db->query_write("ALTER TABLE " . TABLE_PREFIX . "language DROP phrasegroup_adv_portal");
			$db->query_write("ALTER TABLE " . TABLE_PREFIX . "language DROP phrasegroup_adv_portal_cp");

			$stepphrase .= 'Фразы удалены.<br /><br />';

			$db->query_write("DELETE FROM " . TABLE_PREFIX . "product WHERE productid = 'adv_cmps'");

			$db->query_write("DELETE FROM " . TABLE_PREFIX . "plugin WHERE devkey IN('" . implode('\', \'', array_keys($vba_plugins)) . "')");

			$stepphrase .= 'Удалены продукты и модули.<br /><br />';

			$db->query_write("ALTER TABLE " . TABLE_PREFIX . "session DROP newposts");
			$stepphrase .= 'Из таблицы session удалено поле newposts.<br /><br />';

			foreach ($maintemplates AS $name => $content)
			{
				kill_template();
			}

			$stepphrase .= 'Шаблоны удалены.<br /><br />';

			$db->query_write("DELETE FROM " . TABLE_PREFIX . "adv_setting WHERE grouptitle LIKE 'adv_portal%'");
			$db->query_write("DELETE FROM " . TABLE_PREFIX . "adv_settinggroup WHERE grouptitle LIKE 'adv_portal%'");

			$stepphrase .= 'Параметры удалены.<br /><br />';

			$db->query_write("DELETE FROM " . TABLE_PREFIX . "datastore WHERE title IN('adv_portal_opts', 'adv_modules', 'adv_portal_page', 'adv_portal_tpst')");

			vBulletinHook::build_datastore($db);

			$stepphrase .= 'Из таблицы datastore удалены более ненужные поля.<br />';

		break;

		case 4:
			$stepphrase = 'Из таблицы user удален index.<br />';
			flush();
			$db->query_write("ALTER TABLE" . TABLE_PREFIX . "user DROP INDEX (posts)");

		break;

		case 5:
			$stepphrase = 'Из таблицы thread удален index.<br />';
			flush();
			$db->query_write("ALTER TABLE" . TABLE_PREFIX . "thread DROP INDEX (lastpost)");

		break;

		case 6:
			$stepphrase = 'Из таблицы post удален index.<br />';
			flush();
			$db->query_write("ALTER TABLE" . TABLE_PREFIX . "post DROP INDEX (dateline)");
			$nextstep = 'finished';

			if ($forumsoff)
			{
				$db->query_write("UPDATE " . TABLE_PREFIX . "setting SET value = 1 WHERE varname = 'bbactive'");
				build_options();

				$stepphrase .= '<br />Ваш форум снова открыт.';
			}

		break;

		case 'finished':

			$stepphrase = 'vBadvanced ' . $scriptname . ' успешно удалён.<br /> <br /><a href="index.php"><b>Вход в панель администратора --&gt;</b></a><br /><br /><a href="' . $scriptfile . '.php"><b>Нажмите здесь для переустановки --&gt;</b></a>';
			$nocontinue = 1;

		break;
	}

	print_install_table_end();
}

print_cp_footer();

?>
